/* Proxomitron - Deutsche Distribution
 * 
 * Stand: 26.06.2010
 * 
 * Michael Brschgens
 * http://www.buerschgens.de/Prox/
 */



var ProxSSRun = false;

if(window.ProxLCO && ProxLCO.Status && ProxLCO.ConfSC !== undefined) {
	if (!ProxLCO.Status.SSRel) {
		ProxLCO.Status.SSRel = "20100626";
		if (ProxLCO.Status.HSRel && ProxLCO.Status.HSRel == ProxLCO.Status.SSRel) {
			ProxSSRun = true;
		}
	}
}





if (ProxSSRun) {
	// Debug-Arrays
	ProxLCO.DebugLog = new Array();
	ProxLCO.DebugLog.push("SS:Anfang");
	
	// Kopien einiger Original-Methoden erzeugen
	window.ProxSK_setTimeout = window.setTimeout;
	window.ProxSK_open = window.open;
	window.ProxSK_alert = window.alert;
	window.ProxSK_confirm = window.confirm;
	window.ProxSK_scrollBy = window.scrollBy;
	window.ProxSK_setInterval = window.setInterval;
	window.ProxSK_clearInterval = window.clearInterval;
	if (window.showModelessDialog) { ProxSK_showModelessDialog = window.showModelessDialog; }
	if (window.showModalDialog) { ProxSK_showModalDialog = window.showModalDialog; }
	if (window.showHelp) { ProxSK_showHelp = window.showHelp; }
	if (window.createPopup) { ProxSK_createPopup = window.createPopup; }
}



if (ProxSSRun) {
	// Browser und Rendermodus ermitteln.
	ProxLCO.ua = {
		OP: false, OPpre950: false,
		Gecko: false, FF2: false, FF3: false,
		IE8: false, IE7: false, IE6: false, IE: false, IEpre7: false, IEmode: 100,
		CompatBack: false, CompatCss1: false,
		Webkit: false,
		summary: ""
	};
	
	if (document.compatMode == "BackCompat") {
		ProxLCO.ua.CompatBack = true; ProxLCO.ua.summary += "Back ";
	}
	else if (document.compatMode == "CSS1Compat") {
		ProxLCO.ua.CompatCss1 = true; ProxLCO.ua.summary += "CSS1 ";
	}
	if (navigator.userAgent.indexOf("Opera") != -1) {
		ProxLCO.ua.OP = true; ProxLCO.ua.summary += "OP ";
		try {
			if (parseFloat(navigator.userAgent.substr(navigator.userAgent.indexOf("Opera/")+6).match(/^[0-9.]+/)) < 9.50) { ProxLCO.ua.OPpre950 = true; ProxLCO.ua.summary += "OPpre950 "; }
		}
		catch (e) {
			ProxLCO.DebugLog.push("SS:ExceptionDurchOpBrowserJs");
		}
	}
	else if (navigator.userAgent.indexOf("AppleWebKit/") != -1) {
		ProxLCO.ua.Webkit = true; ProxLCO.ua.summary += "Webkit "; // Chrome und Safari
	}
	else if (navigator.userAgent.indexOf("Gecko/20") != -1) {
		ProxLCO.ua.Gecko = true; ProxLCO.ua.summary += "Gecko ";
		if (navigator.userAgent.indexOf("Firefox/2.") != -1) { ProxLCO.ua.FF2 = true; ProxLCO.ua.summary += "FF2 "; }
		else if (navigator.userAgent.indexOf("Firefox/3.") != -1) { ProxLCO.ua.FF3 = true; ProxLCO.ua.summary += "FF3 "; }
	}
	else if (navigator.userAgent.indexOf("MSIE") != -1) {
		if(ProxLCO.Prox_newElm("div").addBehavior) {
			ProxLCO.ua.IE = true; ProxLCO.ua.summary += "IE ";
		}
		else {
			ProxLCO.DebugLog.push("SS:env:FalscherIE");
		}
		if (navigator.userAgent.indexOf("MSIE 8.") != -1) { ProxLCO.ua.IE8 = true; ProxLCO.ua.summary += "IE8 "; }
		else if (navigator.userAgent.indexOf("MSIE 7.") != -1) { ProxLCO.ua.IE7 = true; ProxLCO.ua.summary += "IE7 "; }
		else if (navigator.userAgent.indexOf("MSIE 6.") != -1) { ProxLCO.ua.IE6 = true; ProxLCO.ua.IEpre7 = true; ProxLCO.ua.summary += "IE6 IEpre7 "; }
		if (document.documentMode) {
			ProxLCO.ua.IEmode = document.documentMode;
		}
		else {
			if (ProxLCO.ua.CompatBack) {
				ProxLCO.ua.IEmode = 5;
			}
			else if (ProxLCO.ua.IE6 && ProxLCO.ua.CompatCss1) {
				ProxLCO.ua.IEmode = 6;
			}
			else if (ProxLCO.ua.IE7 && ProxLCO.ua.CompatCss1) {
				ProxLCO.ua.IEmode = 7;
			}
		}
		ProxLCO.ua.summary += ProxLCO.ua.IEmode;
	}
}




if (ProxSSRun) {
	ProxLCO.env = {};
	ProxLCO.initOCO = function (forceSingle) {
		// Feststellen, ob lokales Fenster ein Frame oder iFrame ist und Handle auf hchstes erreichbares Elternfenster erzeugen.
		ProxLCO.env.domTopwin = window;
		ProxLCO.env.domParwin = window;
		ProxLCO.env.winType = "";
		
		if (window == parent) { ProxLCO.env.winType = "single"; }
		if (forceSingle === false && window != parent) {
			try {
				if (window.frameElement.nodeName == "FRAME") {
					ProxLCO.env.winType = "frame";
				}
				else if (window.frameElement.nodeName == "IFRAME") {
					ProxLCO.env.winType = "iframe";
				}
				if (parent.ProxLCO) { }
				ProxLCO.env.domTopwin = parent;
				ProxLCO.env.domParwin = parent;
			}
			catch (e) { }
			if (top != parent) {
				try {
					if (top.ProxLCO) { }
					ProxLCO.env.domTopwin = top;
				}
				catch (e) { }
			}
		}
		
		// ProxOCO nimmt spter die Daten auf, die in Framesets framebergreifend gehandhabt werden sollen.
		if (ProxLCO.env.domTopwin != window && ProxLCO.env.domTopwin.ProxOCO) {
			ProxOCO = ProxLCO.env.domTopwin.ProxOCO;
			ProxLCO.DebugLog.push("SS:initOCO:Parentales_ProxOCO_gefunden");
		}
		else {
			ProxOCO = new Object();
			ProxLCO.DebugLog.push("SS:initOCO:ProxOCO_erzeugt");
		}
		
		// Zentraler Datenspeicher zur framebergreifenden Behandlung von PopUps
		if (!ProxOCO.WOC) {
			ProxOCO.WOC = new Object();
			ProxOCO.WOC.WinCount = 0;
			ProxOCO.WOC.WinArray = new Array();
			ProxOCO.WOC.StartDate = new Date(0);
			ProxOCO.WOC.WinCountMAX = 20;
			ProxLCO.DebugLog.push("SS:initOCO:WOC_erzeugt");
		}
		
		// Zentrale Sammlung von Framenamen
		// 1. Teil: Speicherobjekt
		if (!ProxOCO.WN) {
			ProxOCO.WN = new Object();
			ProxOCO.WN.obNames = {
				_new: false,
				_blank: false,
				_parent: true,
				_top: true,
				_self: true
			};
			ProxOCO.WN.stNames = "";
			ProxLCO.DebugLog.push("SS:initOCO:WN_erzeugt");
		}
		
		ProxLCO.DebugLog.push("SS:initOCO:Fertig");
	};
	
	ProxLCO.initOCO(false);
}





if (ProxSSRun) {
	// Wenn Frames nachtrglich einer anderen Sicherheitszone zugeordnet werden,
	// knnen Referenzen auf bis dahin gemeinsam genutzte Objekte pltzlich ungltig werden.
	// Ein Versuch damit umzugehen...
	ProxLCO.rchkOCO = function () {
		try {
			if (ProxOCO && ProxLCO.env.domTopwin.ProxOCO && ProxLCO.env.domParwin.ProxOCO) { }
		}
		catch (e) {
			ProxLCO.DebugLog.push("SS:rchkOCO:ProxOCO_blockiert,_versuche_Neustart");
			try {
				ProxLCO.initOCO(true);
			}
			catch (e2) {
				ProxLCO.DebugLog.push("SS:rchkOCO:Neustart_auch_blockiert");
				return false;
			}
		}
		return true;
	};
	
}





if (ProxSSRun) {
	ProxLCO.EventManager = new Object();
	ProxLCO.EventManager.arDoubleBuffer = [[],[]];
	ProxLCO.EventManager.iActiveBuffer = 0;
	
	ProxLCO.EventManager.addNow = function(dhNode,stEvName,obHandler,boCapture) {
		if (!boCapture) {var boCapture = false;}
		if (dhNode.ProxSK_addEventListener) {
			dhNode.ProxSK_addEventListener(stEvName, obHandler, boCapture);
		}
		else if (dhNode.ProxSK_attachEvent) {
			dhNode.ProxSK_attachEvent("on"+stEvName, obHandler);
		}
		else if (dhNode.addEventListener) {
			dhNode.addEventListener(stEvName, (function(){ obHandler(); }), boCapture);
		}
		else if (dhNode.attachEvent) {
			dhNode.attachEvent("on"+stEvName, obHandler);
		}
	};
	ProxLCO.EventManager.addWhenReady = function(P_dhNode,P_stEvName,P_obHandler,P_boCapture) {
		if (!P_boCapture) {var P_boCapture = false;}
		ProxLCO.EventManager.arDoubleBuffer[ProxLCO.EventManager.iActiveBuffer].push({dhNode:P_dhNode, stEvName:P_stEvName, obHandler:P_obHandler, boCapture:P_boCapture});
	};
	ProxLCO.EventManager.run = function() {
		var iBuffer = ProxLCO.EventManager.iActiveBuffer;
		ProxLCO.EventManager.iActiveBuffer = (iBuffer == 0)? 1 : 0;
		for (var i = 0, item; item = ProxLCO.EventManager.arDoubleBuffer[iBuffer][i]; i++) {
			if(item.dhNode) {
				ProxLCO.EventManager.addNow(item.dhNode,item.stEvName,item.obHandler,item.boCapture);
			}
		}
		ProxLCO.EventManager.arDoubleBuffer[iBuffer] = [];
		if (ProxLCO.EventManager.arDoubleBuffer[ProxLCO.EventManager.iActiveBuffer].length > 0) {
			ProxLCO.EventManager.run();
		}
	};
	ProxLCO.EventManager.removeNow = function(dhNode,stEvName,obHandler,boCapture) {
		if (!boCapture) {var boCapture = false;}
		if (dhNode.removeEventListener) { dhNode.removeEventListener(stEvName, obHandler, boCapture); }
		else if (dhNode.detachEvent) { dhNode.detachEvent("on"+stEvName, obHandler); }
	};
	
	ProxLCO.EventManager.obRushBuffer = {};
	ProxLCO.EventManager.addNowPreventRush = function(dhElm,stEvent,stKey,intDelay,obHandler,hndHandlerParam) {
		if (!(dhElm && stEvent && stKey && intDelay && obHandler)) { return; }
		ProxLCO.EventManager.addNow(dhElm,stEvent,(function(){
				if (ProxLCO.EventManager.obRushBuffer[stKey]) { window.clearTimeout(ProxLCO.EventManager.obRushBuffer[stKey]); }
				ProxLCO.EventManager.obRushBuffer[stKey] = window.setTimeout((function(){obHandler(hndHandlerParam);}),intDelay);
		}),false);
	};
	
	
}






               /*----------------------------------------------*\
              /                                                  \
=============<   ANFANG:   Meldefunktionen                        >=============
              \                                                  /
               \*----------------------------------------------*/



if (ProxSSRun) {
	ProxLCO.ProxMeldung_Stack = new Array();
	ProxLCO.ProxMeldung = function (typ,farbe,dauer,eingabeText) {
		// Wenn das lokale Fenster ein iFrame ist und sein Parentalfenster erreichbar ist, dann Meldung an dessen Melder hochreichen.
		if (ProxLCO.env.winType == "iframe" && ProxLCO.env.domParwin.ProxLCO.ProxMeldung) {
			return ProxLCO.env.domParwin.ProxLCO.ProxMeldung(typ,farbe,dauer,eingabeText);
		}
		if (document.body && ProxLCO.ProxMeldung_Stack.length === 0) {
			ProxLCO.ProxMeldung_Haupt(typ,farbe,dauer,eingabeText);
		}
		else if (ProxLCO.ProxMeldung_Stack.length <= 20) {
			var obNeu = new Object(); obNeu.typ = typ; obNeu.farbe = farbe; obNeu.dauer = dauer; obNeu.eingabeText = eingabeText;
			ProxLCO.ProxMeldung_Stack.push(obNeu);
		}
		if (!ProxLCO.ProxMeldung_chkStack.intervall) {
			ProxLCO.ProxMeldung_chkStack();
		}
	};
	ProxLCO.ProxMeldung_chkStack = function () {
		if (ProxLCO.ProxMeldung_Stack.length === 0) {
			if (ProxLCO.ProxMeldung_chkStack.intervall) {
				window.ProxSK_clearInterval(ProxLCO.ProxMeldung_chkStack.intervall);
				ProxLCO.ProxMeldung_chkStack.intervall = null;
			}
		}
		else {
			if (document.body && ProxLCO.Status.NachlaeuferFertig) {
				var obMeld = ProxLCO.ProxMeldung_Stack.shift();
				ProxLCO.ProxMeldung_Haupt(obMeld.typ, obMeld.farbe, obMeld.dauer, obMeld.eingabeText);
			}
			if (!ProxLCO.ProxMeldung_chkStack.intervall && ProxLCO.ProxMeldung_Stack.length > 0) {
				ProxLCO.ProxMeldung_chkStack.intervall = window.ProxSK_setInterval(ProxLCO.ProxMeldung_chkStack, 2000);
			}
		}
	};
	// Funktion zur Erzeugung optischer Meldungen
	ProxLCO.ProxMeldung_Haupt = function (typ,farbe,dauer,eingabeText) {
		if (!typ || !(typ == "LeisteBlink" || typ == "alert" || typ == "SymbolBlink")) { typ = "LeisteBlink"; }
		if (!farbe || !(farbe == "Ro" || farbe == "Ge" || farbe == "Gr")) { farbe = "Ro"; }
		if (!dauer) { dauer = 3000; }
		if (!eingabeText) { eingabeText = "kein Meldungstext \u00FCbergeben"; }
		if (typ == "alert") { return ProxSK_alert("Proxomitron meldet: \n" + eingabeText); }
		var obMeldung = ProxLCO.Prox_newElm("div");
		var meldungID = "ProxMeldungID" + Math.floor(Math.random()*10000);
		obMeldung.id = meldungID;
		var dhViewport = ( ProxLCO.ua.OPpre950 || ProxLCO.ua.CompatBack )? document.body : document.documentElement;
		if (typ == "LeisteBlink") {
			if      (dhViewport.clientHeight >= 50 && dhViewport.clientWidth >= 350) { var subtyp = "normal"; }
			else if (dhViewport.clientHeight >= 30 && dhViewport.clientWidth >= 230) { var subtyp = "klein"; }
			else if (dhViewport.clientHeight >= 50 && dhViewport.clientWidth >= 50) { typ = "SymbolBlink"; }
			else { typ = "RahmenBlink"; }
		}
		if (typ == "RahmenBlink") {
			var rFarbe = (farbe == "Ro")? "#ff0000": (farbe == "Ge")? "#FFEB0B": "#00cc00";
			document.body.style.border = "solid 5px" + rFarbe;
			ProxSK_setTimeout("document.body.style.border = \"\"",dauer);
			return;
		}
		else if (typ == "LeisteBlink") {
			ProxLCO.DomStyle.setTuples4Elm(obMeldung,[
				{name:"borderWidth",val:"3px"},{name:"borderStyle",val:"ridge"},{name:"borderColor",val:(farbe == "Ro")? "#ff0000" : (farbe == "Ge")? "#FFEB0B" : "#00cc00"},
				{name:"textAlign",val:"left"},{name:"color",val:"#000000"},{name:"fontFamily",val:"Arial, sans-serif"},{name:"fontStyle",val:"normal"},{name:"padding",val:"3px"},{name:"zIndex",val:"10000002"},
				{name:"fontWeight",val:"normal"},{name:"backgroundColor",val:(farbe == "Ro")? "#FFFAC1" : (farbe == "Ge")? "#FFFCDF" : "#efffef"}
			]);
			if (ProxLCO.ua.IEmode == 6) {
				obMeldung.style.left = "1px";
				obMeldung.style.width = (document.documentElement.clientWidth - 14) + "px";
				obMeldung.style.top = (document.documentElement.scrollTop + 1) + "px";
				obMeldung.style.position = "absolute";
			}
			else if (ProxLCO.ua.IEmode == 5) {
				obMeldung.style.width = (document.body.clientWidth - 2) + "px";
				obMeldung.style.top = (document.body.scrollTop + 1) + "px";
				obMeldung.style.left = "1px";
				obMeldung.style.position = "absolute";
			}
			else { // Das hier versteht sogar IE. Ab Version 7. Im CSS1-Modus.
				obMeldung.style.position = "fixed";
				obMeldung.style.left = "1px";
				obMeldung.style.right = "1px";
				obMeldung.style.top = "1px";
			}
			
			var obBild = ProxLCO.Prox_newElm("img");
			ProxLCO.DomStyle.setTuples4Elm(obBild,[
				{name:"verticalAlign",val:"middle"},{name:"display",val:"inline"},{name:"backgroundColor",val:"transparent"},
				{name:"margin",val:"0px"},{name:"border",val:"none"},{name:"padding",val:"0px"}
			]);
			var obTextbereich = ProxLCO.Prox_newElm("span");
			obTextbereich.appendChild(document.createTextNode(eingabeText));
			obTextbereich.style.marginLeft = "10px";
			obTextbereich.style.verticalAlign = "middle";
			if (subtyp == "normal") {
				obBild.setAttribute("src","http://local.ptron/ProxIcon32.png");
				obTextbereich.style.fontSize = "19px";
			}
			else if (subtyp == "klein") {
				obBild.setAttribute("src","http://local.ptron/ProxIcon16.png");
				obTextbereich.style.fontSize = "12px";
			}
			obMeldung.appendChild(obBild);
			obMeldung.appendChild(obTextbereich);
		}
		else if (typ == "SymbolBlink") {
			var obBild = ProxLCO.Prox_newElm("img");
			obBild.setAttribute("src","http://local.ptron/ProxIcon64.png");
			obBild.style.position = "absolute";
			obMeldung.appendChild(obBild);
			ProxLCO.DomStyle.setTuples4Elm(obMeldung,[
				{name:"width",val:"80px"},{name:"height",val:"80px"},{name:"borderStyle",val:"ridge"},{name:"borderWidth",val:"3px"},
				{name:"borderColor",val:(farbe == "Ro")? "#ff0000" : (farbe == "Ge")? "#FFEB0B" : "#00cc00"},
				{name:"backgroundImage",val:"url(http://local.ptron/808080a050.png)"}
			]);
			if (ProxLCO.ua.IEmode == 6) {
				obMeldung.style.left = Math.max(0,Math.floor(document.documentElement.clientWidth/2)-43) + "px";
				obMeldung.style.top = (document.documentElement.scrollTop + 1) + "px";
				obMeldung.style.position = "absolute";
				obBild.style.left = "7px";
				obBild.style.top = "7px";
			}
			else if (ProxLCO.ua.IEmode <= 7) { // Zentrierung durch auto-margins kann IE7 noch nicht. Deshalb wie IE6 behandeln.
				obMeldung.style.left = Math.max(0,Math.floor(document.body.clientWidth/2)-43) + "px";
				obMeldung.style.top = (document.body.scrollTop + 1) + "px";
				if (ProxLCO.ua.IEmode == 7) {
					obMeldung.style.position = "fixed";
				}
				else {
					obMeldung.style.position = "absolute";
					obMeldung.style.width = "86px";
					obMeldung.style.height = "86px";
				}
				obBild.style.left = "7px";
				obBild.style.top = "7px";
			}
			else {
				ProxLCO.DomStyle.setTuples4Elm(obMeldung,[
					{name:"position",val:"fixed"},{name:"margin",val:"auto"},{name:"left",val:"0"},{name:"right",val:"0"},
					{name:"top",val:"0"},{name:"bottom",val:"0"}
				]);
				ProxLCO.DomStyle.setTuples4Elm(obBild,[
					{name:"margin",val:"auto"},{name:"left",val:"0"},{name:"right",val:"0"},{name:"top",val:"0"},
					{name:"bottom",val:"0"},{name:"width",val:"64px"},{name:"height",val:"64px"}
				]);
			}
		}
		document.body.appendChild(obMeldung);
		ProxSK_setTimeout("ProxLCO.ProxMeldung_Loesch('"+meldungID+"')",dauer);
	};
	
	ProxLCO.ProxMeldung_Loesch = function (meldungID) {
		var obMeldung = document.getElementById(meldungID);
		document.body.removeChild(obMeldung);
		if (ProxLCO.ua.OP) { // Bei Opera kleben die Pixel ein Bisschen. Schtteln hilft.
			window.ProxSK_scrollBy(0,1);
			window.ProxSK_scrollBy(0,-1);
		}
	};
}

               /*----------------------------------------------*\
              /                                                  \
=============<   ENDE:     Meldefunktionen                        >=============
              \                                                  /
               \*----------------------------------------------*/












               /*----------------------------------------------*\
              /                                                  \
=============<   ANFANG:     Funktionen zur PopUp-Kontrolle       >=============
              \                                                  /
               \*----------------------------------------------*/

if (ProxSSRun && ProxLCO.ConfSC.indexOf("WOCActive") != -1) {
	
	ProxLCO.WOC = new Object();
	
	ProxLCO.WOC.WinTpl = function (typ,input2,input3,input4) {
		function methode() { return; }
		this.blur     = methode;
		this.focus    = methode;
		this.moveTo   = methode;
		this.resizeTo = methode;
		this.moveBy   = methode;
		this.resizeBy = methode;
		this.close    = methode;
		this.document = {
			body    : { innerHTML : "" },
			write   : methode,
			writeln : methode,
			open    : methode,
			close   : methode
		};
		this.closed = false;
		if (typ == "open") {
			this.typ    = typ;
			this.url    = input2;
			this.name   = input3;
			this.attrib = input4;
		}
		else if (typ == "showModelessDialog" || typ == "showModalDialog") {
			this.typ    = typ;
			this.url    = input2;
			this.arg    = input3;
			this.feat   = input4;
		}
		else if (typ == "showHelp") {
			this.typ    = typ;
			this.url    = input2;
			this.contextID = input3;
		}
		else if (typ == "createPopup") {
			this.typ  = typ;
			this.show = methode;
			this.hide = methode;
		}
		else {
			this.typ = "ungueltigerTyp";
		}
	};
	
	ProxLCO.WOC.oMUp = function () {
		if (ProxLCO.rchkOCO()) {
			ProxOCO.WOC.StartDate = new Date();
		}
	};
	
	ProxLCO.WOC.Open_ChkAttrib = function (atr) {
		var arAtr = atr.replace(/\s/g).split(",");
		var input2, input3;
		var arAtrNew = new Array();
		var rxExpPos1 = /(left|screenx|clientx)=((-|)\d+)/i;
		var rxExpPos2 = /(top|screeny|clienty)=((-|)\d+)/i;
		var rxExpSze1 = /(width|innerWidth)=((-|)\d+)/i;
		var rxExpSze2 = /(height|innerHeight)=((-|)\d+)/i;
		var rxExpOpt1 = /(hotkeys|location|menubar|status|toolbar|resizable|scrollbars|fullscreen)(=(yes|no|auto)|)/i;
		var boOpt1 = false;
		var xMax = Math.floor(screen.availWidth*0.8);
		var yMax = Math.floor(screen.availHeight*0.8);
		var wMax = Math.floor(screen.availWidth*0.8);
		var hMax = Math.floor(screen.availHeight*0.8);
		
		if (ProxLCO.ConfSC.indexOf("WOCRestSnP") != -1) {
			for (var i=0, atr; atr=arAtr[i]; i++) {
				if (input2 = rxExpPos1.exec(atr)) {
					if (isFinite(input2[2])) {
						input3 = parseInt(input2[2]);
						if (input3 >= 0 && input3 <= xMax) {
							arAtrNew[arAtrNew.length] = input2[1] + "=" + input3;
						}
					}
				}
				else if (input2 = rxExpPos2.exec(atr)) {
					if (isFinite(input2[2])) {
						input3 = parseInt(input2[2]);
						if (input3 >= 0 && input3 <= yMax) {
							arAtrNew[arAtrNew.length] = input2[1] + "=" + input3;
						}
					}
				}
				else if (input2 = rxExpSze1.exec(atr)) {
					if (isFinite(input2[2])) {
						input3 = parseInt(input2[2]);
						if (input3 >= 50 && input3 <= wMax) {
							arAtrNew[arAtrNew.length] = input2[1] + "=" + input3;
						}
					}
				}
				else if (input2 = rxExpSze2.exec(atr)) {
					if (isFinite(input2[2])) {
						input3 = parseInt(input2[2]);
						if (input3 >= 20 && input3 <= hMax) {
							arAtrNew[arAtrNew.length] = input2[1] + "=" + input3;
						}
					}
				}
			}
		}
		else {
			for (var i=0, atr; atr=arAtr[i]; i++) {
				if (input2 = rxExpPos1.exec(atr)) {
					if (isFinite(input2[2])) {
						input3 = parseInt(input2[2]);
						arAtrNew[arAtrNew.length] = input2[1] + "=" + input3;
					}
				}
				else if (input2 = rxExpPos2.exec(atr)) {
					if (isFinite(input2[2])) {
						input3 = parseInt(input2[2]);
						arAtrNew[arAtrNew.length] = input2[1] + "=" + input3;
					}
				}
				else if (input2 = rxExpSze1.exec(atr)) {
					if (isFinite(input2[2])) {
						input3 = parseInt(input2[2]);
						arAtrNew[arAtrNew.length] = input2[1] + "=" + input3;
					}
				}
				else if (input2 = rxExpSze2.exec(atr)) {
					if (isFinite(input2[2])) {
						input3 = parseInt(input2[2]);
						arAtrNew[arAtrNew.length] = input2[1] + "=" + input3;
					}
				}
			}
		}
		if (ProxLCO.ConfSC.indexOf("WOCForceCon") != -1) {
			for (var i=0, atr; atr=arAtr[i]; i++) {
				if (input2 = rxExpOpt1.exec(atr)) {
					boOpt1 = true;
				}
			}
		}
		else {
			for (var i=0, atr; atr=arAtr[i]; i++) {
				if (input2 = rxExpOpt1.exec(atr)) {
					arAtrNew[arAtrNew.length] = input2[1] + input2[2];
				}
			}
		}
		var stAtrNew = arAtrNew.join(",");
		if (boOpt1) { stAtrNew += ",hotkeys=yes,location=yes,menubar=yes,status=yes,toolbar=yes,resizable=yes,scrollbars=yes"; }
		return stAtrNew;
	};
	
	ProxLCO.WOC.Open_PrepAPI = function (fenster) {
		try {
			fenster.ProxSK_moveTo = fenster.moveTo;
			fenster.ProxSK_resizeTo = fenster.resizeTo;
			fenster.moveTo = function (){};
			fenster.resizeTo = function (){};
		}
		catch (e) {
			ProxLCO.DebugLog.push("SS:WOC.Open_PrepAPI:_Zugriff_verweigert");
		}
	};
	
	ProxLCO.WOC.All_chk = function () {
		var CurrentDate = new Date();
		CurrentDate.setTime(CurrentDate.getTime()-ProxOCO.WOC.StartDate.getTime());
		if(CurrentDate.getTime()<=2000) {
			return true;
		}
		else {
			return false;
		}
	};
	
	ProxLCO.WOC.All_Subst = function (typ,input2,input3,input4) {
		if(ProxLCO.WOC.All_chk()) {
			if (typ == "open") {
				if (ProxLCO.ConfSC.indexOf("WOCRmName") != -1 && input3) { input3 = ""; }
				if (input3 && input3 != "") { ProxLCO.WN.addName(input3); }
				if (input4) {
					var fenster = ProxSK_open(input2,input3,ProxLCO.WOC.Open_ChkAttrib(input4));
					if (ProxLCO.ConfSC.indexOf("WOCRestSnP") != -1) { ProxLCO.WOC.Open_PrepAPI(fenster); }
					return fenster;
				}
				else if (input3 && input3 != ""){
					var fenster = ProxSK_open(input2,input3);
					if (ProxLCO.ConfSC.indexOf("WOCRestSnP") != -1) { ProxLCO.WOC.Open_PrepAPI(fenster); }
					return fenster;
				}
				else {
					var fenster = ProxSK_open(input2);
					if (ProxLCO.ConfSC.indexOf("WOCRestSnP") != -1) { ProxLCO.WOC.Open_PrepAPI(fenster); }
					return fenster;
				}
			}
			if (typ == "showModelessDialog") {
				return(ProxSK_showModelessDialog(input2,input3,input4));
			}
			if (typ == "showModalDialog") {
				return(ProxSK_showModalDialog(input2,input3,input4));
			}
			if (typ == "showHelp") {
				return(ProxSK_showHelp(input2,input3));
			}
			if (typ == "createPopup") {
				return(ProxSK_createPopup());
			}
		}
		ProxOCO.WOC.WinCount++;
		
		var MeldungAnzeigen = false;
		var MeldungFarbe = "Gr";
		if (ProxOCO.WOC.WinCount > ProxOCO.WOC.WinCountMAX) { return null; }
		if (ProxOCO.WOC.WinCount == ProxOCO.WOC.WinCountMAX) {
			MeldungAnzeigen = true;
			MeldungFarbe = "Ro";
		}
		if(ProxLCO.ConfSC.indexOf("WOCNotifOpt") != -1) {
			MeldungAnzeigen = true;
		}
		if (MeldungAnzeigen) {
			ProxLCO.ProxMeldung("LeisteBlink",MeldungFarbe,2500,"PopUp blockiert (" + (ProxOCO.WOC.WinArray.length+1) + ") (Typ: " + typ + ")");
		}
		
		return ProxOCO.WOC.WinArray[ProxOCO.WOC.WinArray.length] = new ProxLCO.WOC.WinTpl(typ,input2,input3,input4);
	};
	
	window.open = function (url,nam,atr,atr2) {
		if (!ProxLCO.rchkOCO()) { return null; }
		if (ProxOCO.WOC.WinCount > ProxOCO.WOC.WinCountMAX) { return null; }
		if (typeof url != "string") { return null; }
		return(ProxLCO.WOC.All_Subst("open",url,nam,atr));
	};
	
	if (window.showModelessDialog) {
		window.showModelessDialog = function (url,arg,feat) {
			if (!ProxLCO.rchkOCO()) { return null; }
			if (ProxOCO.WOC.WinCount > ProxOCO.WOC.WinCountMAX) { return null; }
			if (typeof url != "string") { return null; }
			return(ProxLCO.WOC.All_Subst("showModelessDialog",url,arg,feat));
		};
	}
	
	if (window.showModalDialog) {
		window.showModalDialog = function (url,arg,feat) {
			if (!ProxLCO.rchkOCO()) { return null; }
			if (ProxOCO.WOC.WinCount > ProxOCO.WOC.WinCountMAX) { return null; }
			if (typeof url != "string") { return null; }
			return(ProxLCO.WOC.All_Subst("showModalDialog",url,arg,feat));
		};
	}
	
	if (window.showHelp) {
		window.showHelp = function (url,contextID) {
			if (!ProxLCO.rchkOCO()) { return null; }
			if (ProxOCO.WOC.WinCount > PProxOCO.WOC.WinCountMAX) { return null; }
			if (typeof url != "string") { return null; }
			return(ProxLCO.WOC.All_Subst("showHelp",url,contextID));
		};
	}
	
	if (window.createPopup) {
		window.createPopup = function (arg) {
			if (!ProxLCO.rchkOCO()) { return null; }
			if (ProxOCO.WOC.WinCount > ProxOCO.WOC.WinCountMAX) { return null; }
			return(ProxLCO.WOC.All_Subst("createPopup"));
		};
	}
	
	if (ProxLCO.ConfSC.indexOf("WOCAllowOnClick") != -1) {
		ProxLCO.EventManager.addWhenReady(document,"mousedown",ProxLCO.WOC.oMUp,true);
	}
	
}

               /*----------------------------------------------*\
              /                                                  \
=============<   ENDE:     Funktionen zur PopUp-Kontrolle         >=============
              \                                                  /
               \*----------------------------------------------*/









               /*----------------------------------------------*\
              /                                                  \
=============<   ANFANG:      Methoden umdefinieren               >=============
              \                                                  /
               \*----------------------------------------------*/



if (ProxSSRun) {
	if (ProxLCO.ConfSC.indexOf("NopFktWinMovRes") != -1) {
		(function () {
			function subst () {};
			window.resizeTo = subst;
			window.resizeBy = subst;
			window.moveTo   = subst;
			window.moveBy   = subst;
			if (window.sizeToContent) { window.sizeToContent = subst; }
		})();
	}
	else if (ProxLCO.ConfSC.indexOf("RstrFktWinMovRes") != -1) {
		if (!window.ProxSK_moveTo) {window.ProxSK_moveTo = window.moveTo;}
		if (!window.ProxSK_resizeTo) { window.ProxSK_resizeTo = window.resizeTo;}
		window.moveTo = function (x,y) {
			var xMax = Math.floor(screen.availWidth*0.8);
			var yMax = Math.floor(screen.availHeight*0.8);
			if ((x = parseInt(x)) && (y = parseInt(y)) && x > 0 && x <= xMax && y > 0 && y <= yMax) {
				return window.ProxSK_moveTo(x,y);
			}
		};
		window.resizeTo = function (x,y) {
			var wMax = Math.floor(screen.availWidth*0.8);
			var hMax = Math.floor(screen.availHeight*0.8);
			if ((x = parseInt(x)) && (y = parseInt(y)) && x >= 50 && x <= wMax && y >= 20 && y <= hMax) {
				return window.ProxSK_resizeTo(x,y);
			}
		};
	}
}


if (ProxSSRun) {
	(function () {
		function subvoid () {};
		function subtrue () { return true; };
		function subfalse () { return false; };
		function subint () { return 23; };
		if (ProxLCO.ConfSC.indexOf("FktWinFocBlu") != -1) {
			window.blur  = subvoid;
			window.focus = subvoid;
		}
		if (ProxLCO.ConfSC.indexOf("FktWinPrint") != -1) {
			window.print = subvoid;
		}
		if (ProxLCO.ConfSC.indexOf("FktSetTimeout") != -1) {
			window.setInterval = subint;
			window.setTimeout  = subint;
		}
		if (ProxLCO.ConfSC.indexOf("FktWinScroll") != -1) {
			window.scrollTo = subvoid;
			window.scrollBy = subvoid;
			if (window.scrollByLines) { window.scrollByLines = subvoid; }
			if (window.scrollByPages) { window.scrollByPages = subvoid; }
			if (window.scroll) { window.scroll = subvoid; }
		}
		if (ProxLCO.ConfSC.indexOf("FktWinClose") != -1) {
			window.close = subvoid;
		}
		if (ProxLCO.ConfSC.indexOf("FktWinLocReload") != -1) {
			// [OP,IE,!FF]
			window.location.reload = subvoid;
		}
		if (ProxLCO.ConfSC.indexOf("FktHistBackForGo") != -1) {
			window.history.back    = subvoid;
			window.history.forward = subvoid;
			window.history.go      = subvoid;
			if (window.back)    { window.back = subvoid; }
			if (window.forward) { window.forward = subvoid; }
			if (window.home)    { window.home = subvoid; }
		}
		if (ProxLCO.ConfSC.indexOf("EHWinOnErr") != -1) {
			window.onerror = subtrue;
		}
	})();
}


if (ProxSSRun) {
	if (ProxLCO.ConfSC.indexOf("FktRedir") != -1) {
		// [OP,IE,!FF]
		window.location.replace = function (input) {
			return window.location.href = input;
		};
	}
}



if (ProxSSRun) {
	(function () {
		function ehGlobalErlaubt (eh) {
			switch (eh) {
				case "keydown"        : if (ProxLCO.ConfSC.indexOf("EHKeyb")        != -1) return false; break;
				case "keypress"       : if (ProxLCO.ConfSC.indexOf("EHKeyb")        != -1) return false; break;
				case "keyup"          : if (ProxLCO.ConfSC.indexOf("EHKeyb")        != -1) return false; break;
				case "blur"           : if (ProxLCO.ConfSC.indexOf("EHWinFocBlur")  != -1) return false; break;
				case "focus"          : if (ProxLCO.ConfSC.indexOf("EHWinFocBlur")  != -1) return false; break;
				case "load"           : if (ProxLCO.ConfSC.indexOf("EHPageLoad")    != -1) return false; break;
				case "select"         : if (ProxLCO.ConfSC.indexOf("EHSelElem")     != -1) return false; break;
				case "selectstart"    : if (ProxLCO.ConfSC.indexOf("EHSelElem")     != -1) return false; break;
				case "selectionchange": if (ProxLCO.ConfSC.indexOf("EHSelElem")     != -1) return false; break;
				case "mousedown"      : if (ProxLCO.ConfSC.indexOf("EHMouseDownUp") != -1) return false; break;
				case "mouseup"        : if (ProxLCO.ConfSC.indexOf("EHMouseDownUp") != -1) return false; break;
				case "contextmenu"    : if (ProxLCO.ConfSC.indexOf("EHMouseDownUp") != -1) return false; break;
				case "resize"         : if (ProxLCO.ConfSC.indexOf("EHWinMoveRes")  != -1) return false; break;
				case "resizestart"    : if (ProxLCO.ConfSC.indexOf("EHWinMoveRes")  != -1) return false; break;
				case "resizeend"      : if (ProxLCO.ConfSC.indexOf("EHWinMoveRes")  != -1) return false; break;
				case "unload"         : if (ProxLCO.ConfSC.indexOf("EHPageUnload")  != -1) return false; break;
				case "close"          : if (ProxLCO.ConfSC.indexOf("EHPageUnload")  != -1) return false; break;
				case "beforeunload"   : if (ProxLCO.ConfSC.indexOf("EHPageUnload")  != -1) return false; break;
				case "drag"           : if (ProxLCO.ConfSC.indexOf("EHDragElem")    != -1) return false; break;
				case "dragstart"      : if (ProxLCO.ConfSC.indexOf("EHDragElem")    != -1) return false; break;
				case "dragend"        : if (ProxLCO.ConfSC.indexOf("EHDragElem")    != -1) return false; break;
				case "dragenter"      : if (ProxLCO.ConfSC.indexOf("EHDragElem")    != -1) return false; break;
				case "dragleave"      : if (ProxLCO.ConfSC.indexOf("EHDragElem")    != -1) return false; break;
				case "dragover"       : if (ProxLCO.ConfSC.indexOf("EHDragElem")    != -1) return false; break;
				case "drop"           : if (ProxLCO.ConfSC.indexOf("EHDragElem")    != -1) return false; break;
				case "dragdrop"       : if (ProxLCO.ConfSC.indexOf("EHDragElem")    != -1) return false; break;
				case "copy"           : if (ProxLCO.ConfSC.indexOf("EHClipb")       != -1) return false; break;
				case "cut"            : if (ProxLCO.ConfSC.indexOf("EHClipb")       != -1) return false; break;
				case "beforecopy"     : if (ProxLCO.ConfSC.indexOf("EHClipb")       != -1) return false; break;
				case "beforecut"      : if (ProxLCO.ConfSC.indexOf("EHClipb")       != -1) return false; break;
				case "mousemove"      : if (ProxLCO.ConfSC.indexOf("EHMouseMove")   != -1) return false; break;
				case "beforeprint"    : if (ProxLCO.ConfSC.indexOf("EHPrint")       != -1) return false; break;
				case "afterprint"     : if (ProxLCO.ConfSC.indexOf("EHPrint")       != -1) return false; break;
				default: return true;
			}
			return true;
		}
		if (window.addEventListener) {
			function zwischenhandler (eh, fkt, cpt) {
				if (ehGlobalErlaubt(eh)) { return this.ProxSK_addEventListener(eh, fkt, cpt); } else { return; }
			}
			window.ProxSK_addEventListener = window.addEventListener;
			document.ProxSK_addEventListener = document.addEventListener;
			if (document.body) { document.body.ProxSK_addEventListener = document.body.addEventListener; }
			window.addEventListener = zwischenhandler;
			document.addEventListener = zwischenhandler;
			if (document.body) { document.body.addEventListener = zwischenhandler; }
		}
		if (window.attachEvent) {
			function zwischenhandlerIE (eh, fkt) {
				if (ehGlobalErlaubt(eh.slice(2))) { return this.ProxSK_attachEvent(eh, fkt); } else { return; }
			}
			window.ProxSK_attachEvent = window.attachEvent;
			window.attachEvent = zwischenhandlerIE;
		}
	})();
}


if (ProxSSRun && ProxLCO.ConfJSAdID) {
	(function () {
		document.ProxSK_getElementById = document.getElementById;
		var arJSAdID = ProxLCO.ConfJSAdID.split(",");
		function elmIdVerboten (stId) {
			for (var i=0, stAdId; stAdId=arJSAdID[i]; i++) {
				if (stAdId == stId) return true;
			}
			return false;
		}
		function elmTpl (stTyp, stId) {
			this.innerHTML = "";
			this.style = {};
			this.id = stId;
		}
		document.getElementById = function (stId) {
			if (elmIdVerboten(stId)) {
				var temp = document.ProxSK_getElementById(stId);
				if (temp && temp.style) {
					temp.style.display = "none";
				}
				return new elmTpl("div", stId);
			}
			else {
				return document.ProxSK_getElementById(stId);
			}
		};
	})();
}

if (ProxSSRun && ProxLCO.ConfJSWriteBadwords) {
	(function () {
		document.ProxSK_write = document.write;
		var arJSBadwords = ProxLCO.ConfJSWriteBadwords.split(",");
		function containsBadword (stText) {
			for (var i=0, stBadword; stBadword=arJSBadwords[i]; i++) {
				if (stText.indexOf(stBadword) != -1) return true;
			}
			return false;
		}
		document.write = function (stText) {
			if (!containsBadword(stText)) {
				return document.ProxSK_write(stText);
			}
			else {
				return;
			}
		};
	})();
}


               /*----------------------------------------------*\
              /                                                  \
=============<   ENDE:        Methoden umdefinieren               >=============
              \                                                  /
               \*----------------------------------------------*/






               /*----------------------------------------------*\
              /                                                  \
=============<   ANFANG:      Host-Objekte umdefinieren           >=============
              \                                                  /
               \*----------------------------------------------*/


if (ProxSSRun && ProxLCO.ConfSC.indexOf("ShieldVisitedLinks") != -1 && ProxLCO.ua.IEmode > 8) {
	
	if (typeof HTMLAnchorElement != 'undefined') {
		if(typeof HTMLAnchorElement.prototype != 'undefined'){
			var obPrototype = HTMLAnchorElement.prototype;
			var arObSubst = [
				["currentStyle",{}],
				["clientWidth",23], ["clientHeight",23], ["clientLeft",23], ["clientTop",23],
				["offsetWidth",23], ["offsetHeight",23], ["offsetLeft",23], ["offsetTop",23],
				["scrollWidth",23], ["scrollHeight",23], ["scrollLeft",23], ["scrollTop",23]
			];
			if (Object.defineProperty) {
				for (var i=0, obSubst; obSubst = arObSubst[i]; i++) {
					Object.defineProperty(obPrototype, obSubst[0], ( function(x){ return { get: function(){ return x; }, set: function(){} }; }(obSubst[1]) ));
				}
			}
			else if(typeof obPrototype.__defineGetter__ != 'undefined') {
				for (var i=0, obSubst; obSubst = arObSubst[i]; i++) {
					obPrototype.__defineGetter__(obSubst[0], ( function(x){ return function(){ return x; }; }(obSubst[1]) ));
				}
			}
		}
	}
	
	if (window.getComputedStyle) {
		var ProxSK_getComputedStyle = window.getComputedStyle;
		window.getComputedStyle = function (obElm, stAttr) {
			if (obElm.tagName != "A") { return ProxSK_getComputedStyle(obElm, stAttr); }
			return {
				cssText: "", length: 0, parentRule: null,
				getPropertyPriority: function() { return ""; },
				getPropertyValue: function() { return ""; },
				getPropertyCSSValue: function() { return null; }
			};
		};
	}
}


               /*----------------------------------------------*\
              /                                                  \
=============<   ENDE:        Host-Objekte umdefinieren           >=============
              \                                                  /
               \*----------------------------------------------*/











/* <nurProfi> */


               /*----------------------------------------------*\
              /                                                  \
=============<   ANFANG:      Browserdaten ndern                >=============
              \                                                  /
               \*----------------------------------------------*/

if (ProxSSRun && ProxLCO.ConfSC.indexOf("FakeUA") != -1 && (ProxLCO.ua.OP || ProxLCO.ua.FF2)) {
	(function () {
		var neuvigator = {
			cookieEnabled : window.navigator.cookieEnabled,
			mimeTypes : window.navigator.mimeTypes,
			plugins : window.navigator.plugins,
			javaEnabled : window.navigator.javaEnabled,
			taintEnabled : window.navigator.taintEnabled
		}
		if (typeof window.navigator.onLine != "undefined") { neuvigator.onLine = window.navigator.onLine; }
		
		if (ProxLCO.ConfSC.indexOf("FakeUAIE60W2k") != -1) {
			window.navigator = {
				appCodeName     : "Mozilla",
				appName         : "Microsoft Internet Explorer",
				appVersion      : "4.0 (compatible; MSIE 6.0; Windows NT 5.0)",
				platform        : "Win32",
				userAgent       : "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)",
				browserLanguage : "de",
				cpuClass        : "x86",
				systemLanguage  : "de",
				userLanguage    : "de"
			};
			if (window.opera) { delete window.opera; }
		}
		else if (ProxLCO.ConfSC.indexOf("FakeUAIE70WXP") != -1) {
			window.navigator = {
				appCodeName     : "Mozilla",
				appName         : "Microsoft Internet Explorer",
				appVersion      : "4.0 (compatible; MSIE 7.0; Windows NT 5.1; .NET CLR 2.0.50727; .NET CLR 1.1.4322)",
				platform        : "Win32",
				userAgent       : "Mozilla/4.0 (compatible; MSIE 7.0; Windows NT 5.1; .NET CLR 2.0.50727; .NET CLR 1.1.4322)",
				browserLanguage : "de",
				cpuClass        : "x86",
				systemLanguage  : "de",
				userLanguage    : "de"
			};
			if (window.opera) { delete window.opera; }
		}
		else if (ProxLCO.ConfSC.indexOf("FakeUAFF2WXP") != -1) {
			window.navigator = {
				appCodeName     : "Mozilla",
				appName         : "Netscape",
				appVersion      : "5.0 (Windows; de)",
				platform        : "Win32",
				userAgent       : "Mozilla/5.0 (Windows; U; Windows NT 5.1; de; rv:1.8.1.1) Gecko/20061204 Firefox/2.0.0.1",
				language        : "de",
				oscpu           : "Windows NT 5.1",
				product         : "Gecko",
				productSub      : "20061204",
				buildID         : "2006120418",
				vendor          : "",
				vendorSub       : "",
				securityPolicy  : "",
				preference      : function() { return false; }
			};
			if (window.opera) { delete window.opera; }
		}
		else if (ProxLCO.ConfSC.indexOf("FakeUAOP9WXP") != -1) {
			window.navigator = {
				appCodeName     : "Mozilla",
				appName         : "Opera",
				appVersion      : "9.24 (Windows NT 5.1; U; de)",
				browserLanguage : "de",
				cookieEnabled   : true,
				language        : "de",
				platform        : "Win32",
				userAgent       : "Opera/9.24 (Windows NT 5.1; U; de)",
				userLanguage    : "de"
			};
			if (!window.opera) { window.opera = true; }
		}
		
		window.navigator.cookieEnabled = neuvigator.cookieEnabled;
		window.navigator.mimeTypes = neuvigator.mimeTypes;
		window.navigator.plugins = neuvigator.plugins;
		window.navigator.javaEnabled = neuvigator.javaEnabled;
		window.navigator.taintEnabled = neuvigator.taintEnabled;
		if (typeof neuvigator.onLine != "undefined") { window.navigator.onLine = neuvigator.onLine; }
	})();
}

               /*----------------------------------------------*\
              /                                                  \
=============<   ENDE:        Browserdaten ndern                >=============
              \                                                  /
               \*----------------------------------------------*/


/* </nurProfi> */





if (ProxSSRun) {
	// Funktion zum Zusammenschrumpfen von Werbeframes
	ProxLCO.frameMinimieren = function (knoten) {
		if (!(typeof knoten == "object" && knoten.tagName && knoten.tagName == "FRAME")) { return; }
		var dhParentNode = knoten.parentNode;
		var dhChildNodes = dhParentNode.childNodes;
		if (dhParentNode.rows && dhParentNode.cols && dhParentNode.rows.indexOf(",") != -1 && dhParentNode.cols.indexOf(",") != -1) { return; } // rows + cols ist zu kompliziert
		var framenummer = -1; // Frames zhlen:
		for (var i=0; i<dhChildNodes.length; i++) {
			if (dhChildNodes[i].tagName == "FRAME" || dhChildNodes[i].tagName == "FRAMESET") { framenummer++; }
			if (dhChildNodes[i] == knoten) { break; }
		}
		if (framenummer == -1) { return; }
		var stAttributName = null; // Attribut mit den Grenangaben suchen:
		if (dhParentNode.rows && dhParentNode.rows.indexOf(",") != -1) { stAttributName = "rows"; }
		else if (dhParentNode.cols && dhParentNode.cols.indexOf(",") != -1) { stAttributName = "cols"; }
		else { return; }
		var arAttributInhalt = dhParentNode[stAttributName].split(","); // Durch Kommata getrennte Framegren in Array aufsplitten
		if (arAttributInhalt[framenummer]) { arAttributInhalt[framenummer] = "0"; } // Gre fr betreffenden Frame minimieren
		dhParentNode[stAttributName] = arAttributInhalt.join(","); // Array wieder zu String verbinden und Attributwert aktualisieren
		return;
	};
}



if (ProxSSRun) {
	// Zentrale Sammlung von Framenamen
	// 2. Teil: Funktionen
	ProxLCO.WN = new Object();
	ProxLCO.WN.addName = function (input) {
		if (ProxOCO.WN.obNames[input] == undefined) {
			ProxOCO.WN.stNames += input + ", ";
			ProxOCO.WN.obNames[input] = true;
		}
	};
	ProxLCO.WN.chkName = function (input) {
		if (ProxOCO.WN.obNames[input]) {
			return true;
		}
		else {
			return false;
		}
	};
	ProxLCO.WN.tellNames = function () {
		return ProxOCO.WN.stNames;
	};
	ProxLCO.WN.frameroller = function() {
		ProxLCO.WN.addName(window.name);
		if (window.frames.length) {
			for (var i = 0, dhFrame; dhFrame = window.frames[i]; i++) {
				try {
					ProxLCO.WN.addName(dhFrame.name);
				}
				catch (e) { }
			}
		}
	};
}








/* <nurProfi> */


               /*----------------------------------------------*\
              /                                                  \
=============<   ANFANG:   Funktionen fr Tooltip-Meldungen       >=============
              \                                                  /
               \*----------------------------------------------*/

if (ProxSSRun) {
	
	ProxLCO.TTip = new Object();
	ProxLCO.TTip.dhTT = null;
	
	ProxLCO.TTip.Pos = function (ereignis) {
		if (!ereignis || !ereignis.clientX || !document.body || !ProxLCO.TTip.dhTT) { return false; }
		var dhViewport = ( ProxLCO.ua.OPpre950 || ProxLCO.ua.CompatBack )? document.body : document.documentElement;
		if (dhViewport.clientHeight < 100 || dhViewport.clientWidth < 100) { return false; }
		var vpTop = dhViewport.scrollTop;
		var vpBottom = vpTop + dhViewport.clientHeight;
		var vpLeft = dhViewport.scrollLeft;
		var vpRight = vpLeft + dhViewport.clientWidth;
		var MausVPosX = ereignis.clientX + vpLeft;
		var MausVPosY = ereignis.clientY + vpTop;
		var vpPadding = 10;
		var MausPadding = 20;
		var ttWidth = ProxLCO.TTip.dhTT.offsetWidth;
		var ttHeight = ProxLCO.TTip.dhTT.offsetHeight;
		var ttPosX = 0;
		var ttPosY = 0;
		
		// Wenn Feld-Oberkante hher als Fenster-Oberkante, dann nach unten springen.
		// Wenn dann Feld-Unterkante tiefer als Fenster-Unterkante, Feld bndig an Fenster-Oberkante setzen.
		if (MausVPosY - MausPadding - ttHeight < vpTop + vpPadding) {
			ttPosY = (MausVPosY + MausPadding + ttHeight >= vpBottom - vpPadding)? vpTop : MausVPosY + MausPadding;
		}
		else {
			ttPosY = MausVPosY - MausPadding - ttHeight;
		}
		// Wenn Feld-RechteKante rechter als Fenster-RechteKante, dann nach links springen.
		// Wenn dann Feld-LinkeKante linker als Fenster-LinkeKante, dann Feld bndig an Fenster-LinkeKante setzen.
		if (MausVPosX + MausPadding + ttWidth >= vpRight - vpPadding) {
			ttPosX = (MausVPosX - MausPadding - ttWidth < vpLeft + vpPadding)? vpLeft : MausVPosX - MausPadding - ttWidth;
		}
		else {
			ttPosX = MausVPosX + MausPadding;
		}
		ProxLCO.TTip.dhTT.style.left = ttPosX + "px";
		ProxLCO.TTip.dhTT.style.top = ttPosY + "px";
		return true;
	};
	
	ProxLCO.TTip.entfernen = function () {
		if (ProxLCO.TTip.dhTT) {
			document.body.removeChild(ProxLCO.TTip.dhTT);
			ProxLCO.TTip.dhTT = null;
			ProxLCO.EventManager.removeNow(window,"scroll",ProxLCO.TTip.entfernen);
		}
	};
	
	ProxLCO.TTip.haupt = function (ereignis) {
		if (!document.body) { return; }
		if (ProxLCO.TTip.dhTT) {  ProxLCO.TTip.entfernen(); } // Wenn Tooltip da, dann entfernen
		
		if (!ereignis) { var ereignis = window.event; } // <--IE
		if (!ereignis) { return; } // Firefox-Bug?
		if (!ereignis.type || ereignis.type != "mouseover") { return; }
		
		// Der Detektorknoten ist das Element, an das der Event-Handler angehngt worden ist. Es trgt die fr den Tooltip wichtigen Informationen.
		// Durch das Event-Bubbling blubbern auch die Events, die beim berfahren der innerhalb des Detektorknotens liegenden Elemente entstehen zu ihm hoch.
		if (ereignis.currentTarget) { var dhDetektorknoten = ereignis.currentTarget; }
		else if (ereignis.srcElement) { var dhDetektorknoten = ereignis.srcElement; } // <--IE (schlecht)
		else { return; }
		
		if (ereignis.stopPropagation) { ereignis.stopPropagation(); }
		else { ereignis.cancelBubble = true; }
		
		if (!dhDetektorknoten.getAttribute("proxtooltip")) { return; }
		var aTTip = dhDetektorknoten.getAttribute("proxtooltip").split(",,");
		if (aTTip.length < 3) { return; }
		var typ = aTTip[0];
		var titel = aTTip[1];
		if (! (typ == "std1" || typ == "std2")) { return; }
		
		ProxLCO.TTip.dhTT = ProxLCO.Prox_newElm("div"); // Tooltip-Objekt unsichtbar erzeugen:
		ProxLCO.TTip.dhTT.id = "ProxTTip";
		ProxLCO.DomStyle.setTuples4Elm(ProxLCO.TTip.dhTT,[
			{name:"fontFamily",val:"Arial, sans-serif"},{name:"fontSize",val:"12px"},{name:"color",val:"#000000"},
			{name:"border",val:"1px #000 solid"},{name:"maxWidth",val:"100%"},{name:"textAlign",val:"left"},
			{name:"zIndex",val:"10000011"},{name:"visibility",val:"hidden"},{name:"position",val:"absolute"},{name:"left",val:"0px"},{name:"top",val:"0px"}
		]);
		var dhViewport = ( ProxLCO.ua.OPpre950 || ProxLCO.ua.CompatBack )? document.body : document.documentElement;
		if (dhViewport.clientHeight >= 200 && dhViewport.clientWidth >= 400) {
			ProxLCO.TTip.dhTT.style.maxWidth = "400px";
		}
		
		var obLogo = ProxLCO.Prox_newElm("img"); // Tooltip-Objekt mit Inhalt bestcken:
		obLogo.setAttribute("src","http://local.ptron/ProxIcon16.png");
		var obDivCaption = ProxLCO.Prox_newElm("div");
		obDivCaption.appendChild(obLogo);
		obDivCaption.appendChild(document.createTextNode(titel));
		var obDivBody = ProxLCO.Prox_newElm("div");
		ProxLCO.DomStyle.setTuples4Elm(obLogo,[{name:"margin",val:"0 4px 0 0"},{name:"verticalAlign",val:"middle"}]);
		ProxLCO.DomStyle.setTuples4Elm(obDivCaption,[
			{name:"backgroundColor",val:"#FFFFF0"},{name:"fontWeight",val:"bold"},{name:"borderBottom",val:"dashed 1px #B0C4DE"},
			{name:"padding",val:"2px 4px"},{name:"lineHeight",val:"1em"},{name:"margin",val:"0"}
		]);
		ProxLCO.DomStyle.setTuples4Elm(obDivBody,[{name:"backgroundColor",val:"#FFFFD0"},{name:"padding",val:"2px 4px"},{name:"lineHeight",val:"1.2em"},{name:"margin",val:"0"}]);
		obDivBody.appendChild(document.createTextNode(aTTip[2].replace(/(\S{20})/g, (ProxLCO.ua.IE6?"$1 ":"$1\u200B") )));
		for (var i = 3; i < aTTip.length; i++) {
			obDivBody.appendChild(ProxLCO.Prox_newElm("br"));
			obDivBody.appendChild(document.createTextNode(aTTip[i].replace(/(\S{20})/g, (ProxLCO.ua.IE6?"$1 ":"$1\u200B") )));
		}
		ProxLCO.TTip.dhTT.appendChild(obDivCaption);
		ProxLCO.TTip.dhTT.appendChild(obDivBody);
		document.body.appendChild(ProxLCO.TTip.dhTT); // Tooltip in Seite einhngen, damit Mae berechnet werden knnen
		
		if (ProxLCO.TTip.Pos(ereignis)) { // Position berechnen und Tooltip positionieren; dazu Mausereignis bergeben.
			ProxLCO.TTip.dhTT.style.visibility = "visible"; // Wenn TRUE zurckkommt, Tooltip sichtbar machen
		}
		else { // Wenn FALSE zurckkommt, ist beim Positionieren ein Fehler aufgetreten. Tooltip entfernen und abbrechen.
			ProxLCO.TTip.entfernen();
			return false;
		}
		
		// Je nach Typ andere Kriterien zur Lschung
		if (typ == "std1") { ProxLCO.EventManager.addNow(dhDetektorknoten,"mouseout",ProxLCO.TTip.entfernen); }// Verschwindet, wenn Mauszeiger das betreffende Element verlsst.
		else if (typ == "std2") { ProxLCO.EventManager.addNow(ProxLCO.TTip.dhTT,"mouseout",ProxLCO.TTip.entfernen); } // Verschwindet, wenn Mauszeiger das Tippfeld verlsst.
		ProxLCO.EventManager.addNow(window,"scroll",ProxLCO.TTip.entfernen); // Damit keine Tooltips wegen fehlender Browserevents stehen bleiben
		
		return false;
	};
	
	// Syntax: ProxLCO.TTip.anhaengen(<Node>,"<Typ>,,<Titel>,,<Text>[,,<Text>]");
	ProxLCO.TTip.anhaengen = function (knoten,inhalt) {
		if (!knoten) { return; }
		if (inhalt) { knoten.setAttribute("proxtooltip",inhalt); }
		ProxLCO.EventManager.addNow(knoten,"mouseover",ProxLCO.TTip.haupt);
		if (ProxLCO.ua.IE && knoten.attachEvent) {
			for (var i = 0, kind; kind = knoten.childNodes[i]; i++) {
				if (kind.nodeType == 1) {
					ProxLCO.EventManager.addNow(kind,"mouseover",ProxLCO.TTip.haupt);
					if (inhalt) {
						kind.setAttribute("proxtooltip",inhalt);
						for (var i2 = 0, kind2; kind2 = kind.childNodes[i2]; i2++) {
							if (kind2.nodeType == 1) {
								kind2.setAttribute("proxtooltip",inhalt);
								ProxLCO.EventManager.addNow(kind2,"mouseover",ProxLCO.TTip.haupt);
							}
						}
					}
				}
			}
		}
	};
	
	ProxLCO.TTip.imBaumSuchen = function (sTags) {
		if (!sTags) { return; }
		var aTags = sTags.substring(1, sTags.length-1).split(",,");
		for (var i = 0, aTag; aTag = aTags[i]; i++) {
			var arTags = document.getElementsByTagName(aTag);
			for (var i2 = 0, knoten; knoten = arTags[i2]; i2++) {
				if (knoten.getAttribute("proxtooltip")) {
					ProxLCO.TTip.anhaengen(knoten);
				}
			}
		}
	};
	
}

               /*----------------------------------------------*\
              /                                                  \
=============<   ENDE:    Funktionen fr Tooltip-Meldungen        >=============
              \                                                  /
               \*----------------------------------------------*/










               /*----------------------------------------------*\
              /                                                  \
=============<   ANFANG:  Funktionen zur Layoutnderung           >=============
              \                                                  /
               \*----------------------------------------------*/

if (ProxSSRun) {
	
	ProxLCO.DomStyle = new Object();
	
	/* Funktion zum Auswechseln von CSS-Klassen
	 * 
	 * Beispiel:
	 * ProxLCO.DomStyle.swapClassName ("table","alteKlasse","neueKlasse");
	 * 
	 * Bei diesem Aufruf wrde die Funktion alle <table> Tags auf der aktuellen Seite durchlaufen
	 * und bei jedem prfen, ob fr ihn eine Klasse namens "alteKlasse" angegeben ist.
	 * Bei allen Tags auf die das zutrifft, wird dann die Klassenangabe auf "neueKlasse" gendert.
	 * Der Vorgang geschieht dynamisch im Browser und bewirkt somit eine sofortige Vernderung
	 * der Formatierung.
	 */
	ProxLCO.DomStyle.swapClassName = function (tag, classOld, classNew) {
		var tagArray = document.getElementsByTagName(tag);
		for (var i = 0, element; element = tagArray[i]; i++) {
			if (element.className == classOld) {
				element.className = classNew;
			}
		}
	};
	/* Funktion zum ndern einzelner CSS-Eigenschaften bestimmter Tags
	 * 
	 * Beispiel:
	 * ProxLCO.DomStyle.setProp4Tag ("div","backgroundColor","#abcdef");
	 * 
	 * Bei diesem Aufruf wrde die Funktion alle <div> Tags auf der aktuellen Seite durchlaufen
	 * und bei jedem die Eigenschaft "style.backgroundColor" auf den Farbwert "#abcef" setzen.
	 * Der Vorgang geschieht dynamisch im Browser und bewirkt somit eine sofortige Vernderung
	 * der Formatierung.
	 */
	ProxLCO.DomStyle.setProp4Tag = function (stTagName, stPropertyName, stNewValue) {
		var tagArray = document.getElementsByTagName(stTagName);
		for (var i = 0, element; element = tagArray[i]; i++) {
			element.style[stPropertyName] = stNewValue;
		}
	};
	// Syntax: ProxLCO.DomStyle.setTuples4Tag("td",[{name:"color",val:"#DEDEDE"},{name:"fontSize",val:"12pt"}]);
	ProxLCO.DomStyle.setTuples4Tag = function (stTagName, obPropertyTuples) {
		var tagArray = document.getElementsByTagName(stTagName);
		for (var i = 0, element; element = tagArray[i]; i++) {
			for (var i2 = 0, tuple; tuple = obPropertyTuples[i2]; i2++) {
				element.style[tuple.name] = tuple.val;
			}
		}
	};
	// Syntax: ProxLCO.DomStyle.setTuples4Elm(dhDomElm,[{name:"color",val:"#DEDEDE"},{name:"fontSize",val:"12pt"}]);
	ProxLCO.DomStyle.setTuples4Elm = function (dhElm, arObStyles) {
		for (var i = 0, obStyle; obStyle = arObStyles[i]; i++) {
			dhElm.style[obStyle.name] = obStyle.val;
		}
	};
	ProxLCO.DomStyle.resetColors = function (tagnames) {
		var tagnameArray = tagnames.split(',');
		for (var i=0, tagname; tagname = tagnameArray[i]; i++) {
			var tagArray = document.getElementsByTagName(tagname);
			for (var i2 = 0, element; element = tagArray[i2]; i2++) {
				element.style.backgroundColor = "inherit";
				element.style.color = "inherit";
				element.style.backgroundImage = "none";
			}
		}
	};
	ProxLCO.DomStyle.Preset_resetColors = function () {
		ProxLCO.DomStyle.setTuples4Tag("html",[{name:"backgroundColor",val:"#ffffff"},{name:"backgroundImage",val:"none"},{name:"color",val:"#000000"}]);
		ProxLCO.DomStyle.resetColors("body,table,tr,th,td,div,p,ul,li");
	};
	ProxLCO.DomStyle.resetWidth = function (tagnames) {
		var tagnameArray = tagnames.split(',');
		for (var i=0, tagname; tagname = tagnameArray[i]; i++) {
			var tagArray = document.getElementsByTagName(tagname);
			for (var i2 = 0, element; element = tagArray[i2]; i2++) {
				element.style.width = "auto";
				element.style.maxWidth = "";
				element.style.minWidth = "";
			}
		}
	};
	ProxLCO.DomStyle.Preset_resetWidth = function () {
		ProxLCO.DomStyle.resetWidth("body,table,th,td,div,p");
	};
	ProxLCO.DomStyle.resetBgColors = function (tagnames) {
		var tagnameArray = tagnames.split(',');
		for (var i=0, tagname; tagname = tagnameArray[i]; i++) {
			var tagArray = document.getElementsByTagName(tagname);
			for (var i2 = 0, element; element = tagArray[i2]; i2++) {
				element.style.backgroundColor = "inherit";
				element.style.backgroundImage = "none";
			}
		}
	};
	ProxLCO.DomStyle.Preset_resetBgColors = function () {
		ProxLCO.DomStyle.setTuples4Tag("html",[{name:"backgroundColor",val:"#ffffff"},{name:"backgroundImage",val:"none"}]);
		ProxLCO.DomStyle.resetBgColors("body,table,tr,th,td,div,p,ul,li");
	};
	ProxLCO.DomStyle.setTextBlack = function (tagnames) {
		var tagnameArray = tagnames.split(',');
		for (var i=0, tagname; tagname = tagnameArray[i]; i++) {
			var tagArray = document.getElementsByTagName(tagname);
			for (var i2 = 0, element; element = tagArray[i2]; i2++) {
				element.style.color = "#000000";
			}
		}
	};
	ProxLCO.DomStyle.Preset_setTextBlack = function () {
		ProxLCO.DomStyle.setTextBlack("body,table,tr,th,td,div,p");
	};
	ProxLCO.DomStyle.setTableBordersTo1 = function (tagnames) {
		var tagArray = document.getElementsByTagName("table");
		for (var i2 = 0, element; element = tagArray[i2]; i2++) {
			element.border = "1";
		}
	};
	ProxLCO.DomStyle.showHiddenFormFields = function () {
		var tagArray = document.getElementsByTagName("input");
		for (var i = 0, element; element = tagArray[i]; i++) {
			if (element.type == "hidden") {
				var stName = element.name;
				element.type = "text";
				ProxLCO.DomStyle.setTuples4Elm(element,[
					{name:"fontSize",val:"8pt"},{name:"fontFamily",val:"Verdana"},{name:"color",val:"#C00000"},{name:"backgroundColor",val:"#B1E7B1"},
					{name:"border",val:"dashed 1px #C00000"},{name:"padding",val:"2px"}]
				);
				var obRepl = document.createElement("span");
				if (stName) {
					obRepl.appendChild(document.createTextNode(stName + ": "));
				}
				ProxLCO.DomStyle.setTuples4Elm(obRepl,[
					{name:"fontSize",val:"8pt"},{name:"fontFamily",val:"Verdana"},{name:"color",val:"#C00000"},{name:"width",val:"40px"},
					{name:"height",val:"11pt"},{name:"border",val:"dashed 1px #C00000"},{name:"verticalAlign",val:"middle"}]
				);
				element.parentNode.replaceChild(obRepl,element);
				obRepl.appendChild(element);
			}
		}
	};

}

               /*----------------------------------------------*\
              /                                                  \
=============<   ENDE:    Funktionen zur Layoutnderung           >=============
              \                                                  /
               \*----------------------------------------------*/








               /*----------------------------------------------*\
              /                                                  \
=============<   ANFANG:   Funktionen zur Quelltextanzeige        >=============
              \                                                  /
               \*----------------------------------------------*/


if (ProxSSRun) {
	ProxLCO.Src = new Object();
	ProxLCO.Src.htmlchars = function (input) {
		var rex = new RegExp('(<|>|&)', 'g');
		var output = input.replace(rex, function(zeichen) {
			switch (zeichen) {
				case "<": return "&lt;";
				case ">": return "&gt;";
				case "&": return "&amp;";
				default : break;
			}
		});
		return output;
	};
	ProxLCO.Src.highlight = function (input) {
		var step10 = ProxLCO.Src.htmlchars(input);
		
		var step15rex = new RegExp('(&lt;)(link|script|iframe)(\\s*\/&gt;)', 'gi'); // Minimierte leere Tags
		var step15 = step10.replace(step15rex, function(alles,lklamm,tagname,end) {
			return '<b class="t">' + lklamm + '<span class="' + tagname.toLowerCase() + '">' + tagname + '<\/span>' + end + '<\/b>';
		});
		var step20rex = new RegExp('(&lt;[a-z][a-z0-9]*\\s*\/&gt;)', 'gi');
		var step20 = step15.replace(step20rex, '<b class="t">$1<\/b>');
		
		var step31rex = new RegExp('(\\s+)([\\w\\-]+\\s*=\\s*)("[^"]*"|\'[^\']*\'|[\\w\\-.?+#=:!$*\\[\\]/]+)', 'gi'); // Attribute und deren Werte
		
		var step25rex = new RegExp('(&lt;)(link|script|iframe)((\\s+[\\w\\-]+\\s*=\\s*("[^"]*"|\'[^\']*\'|[\\w\\-.?+#=:!$*\\[\\]/]+))*\\s*)(/?&gt;)', 'gi'); // Bestimmte ffnende Tags
		var step25 = step20.replace(step25rex, function(alles,lklamm,tagname,attribs,muell1,muell2,rklamm) {
			attribs = attribs.replace(step31rex, '$1<b class="i">$2<\/b><b class="q">$3<\/b>');
			return '<b class="t">' + lklamm + '<span class="' + tagname.toLowerCase() + '">' + tagname + '<\/span><\/b>' + attribs + '<b class="t">' + rklamm + '<\/b>';
		});
		var step30rex = new RegExp('(&lt;)([a-z][a-z0-9]*)((\\s+[\\w\\-]+\\s*=\\s*("[^"]*"|\'[^\']*\'|[\\w\\-.?+#=:!$*\\[\\]/]+))*\\s*)(/?&gt;)', 'gi'); // ffnende Tags
		var step30 = step25.replace(step30rex, function(alles,lklamm,tagname,attribs,muell1,muell2,rklamm) {
			attribs = attribs.replace(step31rex, '$1<b class="i">$2<\/b><b class="q">$3<\/b>');
			return '<b class="t">' + lklamm + tagname + '<\/b>' + attribs + '<b class="t">' + rklamm + '<\/b>';
		});
		
		var step35rex = new RegExp('(&lt;\/)([a-z][a-z0-9]*)(\\s*&gt;)', 'gi'); // Bestimmte schlieende Tags
		var step35 = step30.replace(step35rex, function(alles,lklamm,tagname,rklamm) {
			return '<b class="t">' + lklamm + '<span class="' + tagname.toLowerCase() + '">' + tagname + '<\/span>' + rklamm + '<\/b>';
		});
		var step40rex = new RegExp('(&lt;\/[a-z][a-z0-9]*\\s*&gt;)', 'gi'); // Schlieende Tags
		var step40 = step35.replace(step40rex, '<b class="t">$1<\/b>');
		
		return step40;
	};
	ProxLCO.Src.prepCookie = function (input) {
		if (input.indexOf(";") != -1) {
			var feld1 = input.split(";");
			var temp1;
			var output = "<table>";
			for (var i1=0, element; element = feld1[i1]; i1++) {
				if (element.indexOf("=") != -1) {
					temp1 = element.split("=");
					output += "<tr><td>" + ProxLCO.Src.htmlchars(temp1[0]) + "=<\/td><td>" + ProxLCO.Src.htmlchars(temp1[1]) + "<\/td><\/tr>";
				}
				else {
					output += "<tr><td colspan=\"2\">" + ProxLCO.Src.htmlchars(element) + "=<\/td><\/tr>";
				}
			}
			output += "<\/table>";
		}
		else {
			var output = "<table>";
			var temp1 = input.split("=");
			output += "<tr><td>" + ProxLCO.Src.htmlchars(temp1[0]) + "=<\/td><td>" + ProxLCO.Src.htmlchars(temp1[1]) + "<\/td><\/tr>";
			output += "<\/table>";
		}
		return output;
	};
	ProxLCO.Src.wrap = function (input) {
		var pre =  "<!DOCTYPE HTML PUBLIC \"-\/\/W3C\/\/DTD HTML 4.01 Transitional\/\/EN\" \"http:\/\/www.w3.org/TR/html4/loose.dtd\">";
		    pre += "<html>\r\n<head>\r\n<title>Source of "+ ProxLCO.Src.htmlchars(document.title) + "<\/title>\r\n";
		    pre += "<LINK REL=\"stylesheet\" type=\"text/css\" href=\"http://local.ptron/ViewSrc.css\">\r\n";
		    pre += "<\/head>\r\n<body>";
		    pre += "<div class=\"Kopf\"><h1>Interpretierter Seitenquelltext<\/h1><table class=\"Daten1\">";
		    pre += "<tr><td class=\"Bez\">URL:<\/td><td class=\"Inh\">" + ProxLCO.Src.htmlchars(document.URL) + "<\/td><\/tr>";
		    if (document.cookie) {
				pre += "<tr><td class=\"Bez\">Cookies:<\/td><td class=\"Inh\">";
				pre += ProxLCO.Src.prepCookie(document.cookie);
				pre += "<\/td><\/tr>";
		    }
		    pre += "<\/table><\/div><hr><pre>\r\n\r\n";
		var post = "\r\n\r\n<\/pre><\/body>\r\n<\/html>";
		return pre + ProxLCO.Src.highlight(input) + post;
	};
	ProxLCO.Src.open = function (){
		var quelltext = ProxLCO.Src.wrap(document.documentElement.innerHTML);
		var winUrl = (window.location.protocol == "https:")? "about:blank": "http://" + window.location.hostname + "/ProxXDRAccessor/XDRWin.html";
		var winName = "ProxXDR__" + document.domain.replace(/\./g,"_") + "__" + Math.floor(Math.random()*100000);
		var fenster = window.ProxSK_open(winUrl,winName);
		window.ProxSK_setTimeout((function(){
			if (fenster && fenster.document) {
				if(!ProxLCO.ua.IE) { fenster.document.open() };
				fenster.document.write(quelltext);
				if(!ProxLCO.ua.IE) { fenster.document.close(); };
			}
		}), 1000);
		
	};
}

               /*----------------------------------------------*\
              /                                                  \
=============<   ENDE:    Funktionen zur Quelltextanzeige         >=============
              \                                                  /
               \*----------------------------------------------*/








/* "Tastschalter"-Funktion fr TrollCollect.
 * Bei jedem Aufruf wird zwischen zwei mglichen Klassenangaben gewechselt. Der Austausch
 * erfolgt ber die Funktion "ProxLCO.DomStyle.swapClassName". Da der Ist-Wert gespeichert wird,
 * verhlt sich die Funktion wie ein Wechselschalter.
 */
if (ProxSSRun) {
	ProxLCO.HTC = new Object();
	ProxLCO.HTC.toggle = function() {
		if (ProxLCO.HTC.toggle.show) {
			ProxLCO.DomStyle.swapClassName("li","ProxHeiseTCnegativShow","ProxHeiseTCnegativ");
			ProxLCO.DomStyle.swapClassName("li","last ProxHeiseTCnegativShow","last ProxHeiseTCnegativ");
			ProxLCO.HTC.toggle.show = false;
		}
		else {
			ProxLCO.DomStyle.swapClassName("li","ProxHeiseTCnegativ","ProxHeiseTCnegativShow");
			ProxLCO.DomStyle.swapClassName("li","last ProxHeiseTCnegativ","last ProxHeiseTCnegativShow");
			ProxLCO.HTC.toggle.show = true;
		}
	};
}





/* Einfgen direkter Links in Ergebnisseite der Google-Bildersuche */
if (ProxSSRun && ProxLCO.ConfSC.indexOf("GBMActive") != -1) {
	ProxLCO.GBM = new Object();
	
	ProxLCO.GBM.ImgBearbeiten = function(dhImg) {
		var dhA = dhImg.parentNode;
		var dhTd = dhA.parentNode;
		if (!(dhA.tagName && dhA.tagName == "A" && dhTd.tagName && dhTd.tagName == "TD")) { return; }
		var stHref = dhA.href;
		var iStart = stHref.indexOf("imgurl=")+7;
		var iEnd = stHref.indexOf("&",iStart);
		var stUrl = stHref.substring(iStart,iEnd)
		
		var obNewA = document.createElement("a");
		stUrl = decodeURIComponent(stUrl);
		obNewA.href = stUrl;
		obNewA.appendChild(document.createTextNode("Zum Originalbild..."));
		
		var obLogo = document.createElement("img");
		obLogo.src = "http://local.ptron/ProxIcon16.png";
		
		var obCnt = document.createElement("div");
		obCnt.className = "ProxGoogleLink";
		obCnt.appendChild(obNewA);
		obCnt.appendChild(obLogo);
		
		dhTd.appendChild(obCnt);
	};
	
	ProxLCO.GBM.ImgsBearbeiten = function() {
		var dhTbl = document.getElementById("imgtb");
		var arImgs = dhTbl.getElementsByTagName("img");
		var arImgs2 = new Array();
		
		for (var i=0, dhImg; dhImg=arImgs[i]; i++) {
			arImgs2.push(dhImg);
		}
		for (var i=0, dhImg; dhImg=arImgs2[i]; i++) {
			ProxLCO.GBM.ImgBearbeiten(dhImg);
		}
		
		ProxLCO.EventManager.addNowPreventRush(dhTbl,"DOMNodeRemoved","GBM01",500,ProxLCO.GBM.ImgsBearbeiten)
		
	};
	
	if (ProxLCO.ua.ie) {
		ProxLCO.EventManager.addNow(window,"load",(function(){window.ProxSK_setTimeout(ProxLCO.GBM.ImgsBearbeiten,1000);}));
	}
	else {
		ProxLCO.EventManager.addNow(window,"load",ProxLCO.GBM.ImgsBearbeiten);
	}
	
}



/* Funktion zum Hinzufgen von Listeneintrgen */
if (ProxSSRun) {
	ProxLCO.listwriter = function(aufrufer,liste,daten) {
		if(document.images) {
			(new Image()).src="http://listwriter.local/"+liste+"/?"+daten+"/";
			var objektBild = ProxLCO.Prox_newElm("img");
			objektBild.setAttribute("src","http://local.ptron/Symb-ChkGn1-16.png");
			aufrufer.appendChild(objektBild);
			aufrufer.style.color = "gray";
			aufrufer.onclick = null;
			aufrufer.style.cursor = "auto";
		}
		return true;
	};
}



/* Funktion zum Nachladen von Flash-Filmen (Opera/Firefox-Variante)
 * Der zugehrige Seitenfilter umschliet Flash-Objekte mit einem weiteren Objekt.
 * Die Funktion pellt das Original wieder aus und ersetzt damit das Dummy-Objekt.
 */
if (ProxSSRun) {
	ProxLCO.MMFlashLadenOP = function (knoten) {
		if (!(knoten && knoten.tagName && knoten.parentNode && knoten.childNodes)) { return false; }
		var VparentNode = knoten.parentNode;
		var VchildNodes = knoten.childNodes;
		var VchildNode = null;
		for (var i=0; i<VchildNodes.length; i++) {
			if (VchildNodes[i].tagName == "OBJECT" || VchildNodes[i].tagName == "EMBED") {
				VchildNode = VchildNodes[i];
				break;
			}
		}
		if (VchildNode == null) { return false; }
		VparentNode.replaceChild(VchildNode, knoten);
		return true;
	};
}



/* Funktion zum Lschen aller durch die aktuelle Seite gespeicherten Cookies. */
if (ProxSSRun) {
	ProxLCO.CookiesKill = function () {
		// Cookie-Killer aus Bookmarklet von Nontroppo --> http://nontroppo.org/wiki/BookMarklets
		var cookieString = document.cookie.split("; ");
		for(var cookieHost="."+location.host; cookieHost; cookieHost=(""+cookieHost).substr(1).match(/\..*$/)) {
			for(var sl=0; sl<2; ++sl) {
				for(var cookiePath="/"+location.pathname; cookiePath; cookiePath=cookiePath.substring(0,cookiePath.lastIndexOf('/'))) {
					for(var i=0, cookieWert; cookieWert=cookieString[i]; i++) {
						document.cookie = cookieWert + "; domain=" + cookieHost.slice(sl) + "; path=" + cookiePath.slice(1) + "/" + "; expires=" + new Date((new Date).getTime()-1e11).toGMTString();
					}
				}
			}
		}
	};
}



/* Entfernung von EHs, die auf altertmliche Art mit Tag-Attributen gesetzt worden sind.*/
if (ProxSSRun) {
	ProxLCO.legacyEHsBehandeln = function () {
		function ehGlobalEntfernen (eh) {
			eh = "on" + eh;
			if (window[eh] != undefined) { window[eh] = null; }
			if (document[eh] != undefined) { document[eh] = null; }
			if (document.documentElement[eh] != undefined) { document.documentElement[eh] = null; }
			if (document.body[eh] !== undefined) {
				if (ProxLCO.ua.Gecko) { document.body.setAttribute(eh,null); }
				else { document.body[eh] = null; }
			}
		}
		if (ProxLCO.ConfSC.indexOf("EHKeyb") != -1) {
			ehGlobalEntfernen("keydown");
			ehGlobalEntfernen("keypress");
			ehGlobalEntfernen("keyup");
		}
		if (ProxLCO.ConfSC.indexOf("EHWinFocBlur") != -1) {
			ehGlobalEntfernen("blur");
			ehGlobalEntfernen("focus");
		}
		if (ProxLCO.ConfSC.indexOf("EHSelElem") != -1) {
			ehGlobalEntfernen("select");
			if (ProxLCO.ua.IE) {
				ehGlobalEntfernen("selectstart");
				ehGlobalEntfernen("selectionchange");
			}
		}
		if (ProxLCO.ConfSC.indexOf("EHMouseDownUp") != -1) {
			ehGlobalEntfernen("mousedown");
			ehGlobalEntfernen("mouseup");
			if (ProxLCO.ua.IE || ProxLCO.ua.Gecko) {
				ehGlobalEntfernen("contextmenu");
			}
		}
		if (ProxLCO.ConfSC.indexOf("EHWinMoveRes") != -1) {
			ehGlobalEntfernen("resize");
			if (ProxLCO.ua.IE) {
				ehGlobalEntfernen("resizestart");
				ehGlobalEntfernen("resizeend");
			}
		}
		if (ProxLCO.ConfSC.indexOf("EHPageUnload") != -1) {
			ehGlobalEntfernen("unload");
			if (ProxLCO.ua.Gecko) {
				ehGlobalEntfernen("close");
			}
			if (ProxLCO.ua.IE) {
				ehGlobalEntfernen("beforeunload");
			}
		}
		if (ProxLCO.ConfSC.indexOf("EHDragElem") != -1) {
			if (ProxLCO.ua.Gecko) {
				ehGlobalEntfernen("dragdrop");
			}
			if (ProxLCO.ua.IE) {
				ehGlobalEntfernen("drag");
				ehGlobalEntfernen("dragstart");
				ehGlobalEntfernen("dragend");
				ehGlobalEntfernen("dragenter");
				ehGlobalEntfernen("dragleave");
				ehGlobalEntfernen("dragover");
				ehGlobalEntfernen("drop");
			}
		}
		if (ProxLCO.ConfSC.indexOf("EHClipb") != -1) {
			if (ProxLCO.ua.IE || ProxLCO.ua.FF3) {
				ehGlobalEntfernen("copy");
				ehGlobalEntfernen("cut");
				ehGlobalEntfernen("beforecopy");
				ehGlobalEntfernen("beforecut");
			}
		}
		if (ProxLCO.ConfSC.indexOf("EHMouseMove") != -1) {
			ehGlobalEntfernen("mousemove");
		}
		if (ProxLCO.ConfSC.indexOf("EHPrint") != -1) {
			if (ProxLCO.ua.IE) {
				ehGlobalEntfernen("beforeprint");
				ehGlobalEntfernen("afterprint");
			}
		}
	};
}


if (ProxSSRun) {
	ProxLCO.tagrollerLink = function () {
		for (var i = 0, doLi; doLi = document.links[i]; i++) {
			if (ProxLCO.ConfSC.indexOf("EHMouseOverLnk") != -1) {
				doLi.onmouseover = null;
				doLi.onmouseout  = null;
				doLi.parentNode.onmouseover = null;
				doLi.parentNode.onmouseout  = null;
			}
			else if (ProxLCO.ConfSC.indexOf("EHMouseOverExtLnk") != -1 && location.ProxIsDummy != true && doLi.getAttribute("href") && doLi.getAttribute("href").indexOf("://") != -1  && doLi.getAttribute("href").indexOf("://" + window.location.hostname) == -1) {
				doLi.onmouseover = null;
				doLi.onmouseout  = null;
				doLi.parentNode.onmouseover = null;
				doLi.parentNode.onmouseout  = null;
			}
			if (doLi.getAttribute("href") && doLi.getAttribute("href") != "#") {
				if (ProxLCO.ConfSC.indexOf("TT4dblLnks") != -1 && doLi.getAttribute("onclick")) {
					ProxLCO.TTip.anhaengen(doLi,"std1,,Doppel-Link mit Href und OnClick,,href: " + doLi.getAttribute("href") + ",,onClick: " + doLi.getAttribute("onclick"));
				}
				else if (ProxLCO.ConfSC.indexOf("TT4dblLnks") != -1 && doLi.parentNode.getAttribute("onclick")) {
					ProxLCO.TTip.anhaengen(doLi,"std1,,Doppel-Link mit Href und OnClick,,href: " + doLi.getAttribute("href") + ",,onClick: " + doLi.parentNode.getAttribute("onclick"));
				}
				else if (ProxLCO.ConfSC.indexOf("TT4obfuscLnks") != -1 && ProxLCO.ConfSC.indexOf("EHMouseOverLnk") != -1 && doLi.getAttribute("onmouseover")) {
					ProxLCO.TTip.anhaengen(doLi,"std1,,Link mit MouseOver-EH,,href: " + doLi.getAttribute("href") + ",,onMouseOver: " + doLi.getAttribute("onmouseover"));
				}
			}
			if (ProxLCO.ConfSC.indexOf("EHDragElem") != -1) {
				if (ProxLCO.ua.Gecko) {
					doLi.ondragdrop = null;
				}
				if (ProxLCO.ua.IE) {
					doLi.ondrag      = null;
					doLi.ondragstart = null;
					doLi.ondragend   = null;
					doLi.ondragenter = null;
					doLi.ondragleave = null;
					doLi.ondragover  = null;
					doLi.ondrop      = null;
				}
			}
			if (ProxLCO.ConfSC.indexOf("EHMouseDownUpElem") != -1) {
				doLi.onmousedown = null;
				doLi.onmouseup   = null;
				if (ProxLCO.ua.IE || ProxLCO.ua.Gecko) {
					doLi.oncontextmenu = null;
				}
			}
		}
	};
	
	ProxLCO.tagrollerImg = function() {
		for (var i = 0, doIm; doIm = document.images[i]; i++) {
			if (ProxLCO.ConfSC.indexOf("EHDragElem") != -1) {
				if (ProxLCO.ua.Gecko) {
					doIm.ondragdrop = null;
				}
				if (ProxLCO.ua.IE) {
					doIm.ondrag      = null;
					doIm.ondragstart = null;
					doIm.ondragend   = null;
					doIm.ondragenter = null;
					doIm.ondragleave = null;
					doIm.ondragover  = null;
					doIm.ondrop      = null;
				}
			}
			if (ProxLCO.ConfSC.indexOf("EHMouseDownUpElem") != -1) {
				doIm.onmousedown = null;
				doIm.onmouseup   = null;
				if (ProxLCO.ua.IE || ProxLCO.ua.Gecko) {
					doIm.oncontextmenu = null;
				}
			}
		}
	};
	
	ProxLCO.tagrollerTargets = function() {
		if (ProxLCO.env.winType == "single") {
			var arDoBa = document.getElementsByTagName("BASE");
			for (var i = 0, knoten; knoten = arDoBa[i]; i++) {
				var linkziel = knoten.getAttribute("target");
				if (linkziel && ProxLCO.WN.chkName(linkziel) === false) {
					knoten.removeAttribute("target");
				}
			}
			for (var i = 0, doLi; doLi = document.links[i]; i++) {
				var linkziel = doLi.getAttribute("target");
				if (linkziel && ProxLCO.WN.chkName(linkziel) === false) {
					var skriptaufruf = doLi.getAttribute("onclick");
					if (!skriptaufruf) {
						doLi.removeAttribute("target");
					}
				}
			}
		}
		else if (ProxLCO.env.winType == "frame") {
			var arDoBa = document.getElementsByTagName("BASE");
			for (var i = 0, knoten; knoten = arDoBa[i]; i++) {
				var linkziel = knoten.getAttribute("target");
				if (linkziel && (linkziel == "_new" || linkziel == "_blank")) {
					doLi.target = "_top";
				}
			}
			for (var i = 0, doLi; doLi = document.links[i]; i++) {
				var linkziel = doLi.getAttribute("target");
				if (linkziel && (linkziel == "_new" || linkziel == "_blank")) {
					doLi.target = "_top";
				}
			}
		}
		else {
			var arDoBa = document.getElementsByTagName("BASE");
			for (var i = 0, knoten; knoten = arDoBa[i]; i++) {
				var linkziel = knoten.getAttribute("target");
				if (linkziel && (linkziel == "_new" || linkziel == "_blank")) {
					knoten.removeAttribute("target");
				}
			}
			for (var i = 0, doLi; doLi = document.links[i]; i++) {
				var linkziel = doLi.getAttribute("target");
				if (linkziel && (linkziel == "_new" || linkziel == "_blank")) {
					doLi.removeAttribute("target");
				}
			}
		}
	};
}






               /*----------------------------------------------*\
              /                                                  \
=============<   ANFANG:   Funktionen fr Infopanel               >=============
              \                                                  /
               \*----------------------------------------------*/


if (ProxSSRun && ProxLCO.ConfSC.indexOf("UIToolbarMain") != -1) {
	ProxLCO.UI_Toolbar = new Object();
	
	ProxLCO.UI_Toolbar.collActions = {heading: "Werkzeuge", body: [
		{title: "Unsichtbare Formularfelder sichtbar machen", action: ProxLCO.DomStyle.showHiddenFormFields},
		{title: "Breite aller Tabellenr\u00E4nder auf \"1\" setzen", action: ProxLCO.DomStyle.setTableBordersTo1},
		{title: "Textfarbe auf Schwarz \u00E4ndern", action: ProxLCO.DomStyle.Preset_setTextBlack},
		{title: "Hintergrundfarben entfernen", action: ProxLCO.DomStyle.Preset_resetBgColors},
		{title: "Alle Farben entfernen", action: ProxLCO.DomStyle.Preset_resetColors},
		{title: "Feste Breitenangaben deaktivieren", action: ProxLCO.DomStyle.Preset_resetWidth},
		{title: "Interpretierten Quelltext ansehen", action: ProxLCO.Src.open},
		{title: "Cookies anzeigen", action: (function(){alert("F\u00FCr diese Seite sichtbare Cookies:\n\n" + document.cookie.replace(/; /g,"\n"))})},
		{title: "Cookies l\u00F6schen", action: ProxLCO.CookiesKill}
	]};
	
	ProxLCO.UI_Toolbar.collHttpHdr = {heading: "Headerdaten", body: []};
	
	ProxLCO.UI_Toolbar.collLinks = {heading: "Links", body: [
		{title: "Proxomitron Laufzeitdaten", href: "http://local.ptron/.pinfo/"},
		{title: "Letzte URLs", href: "http://local.ptron/.pinfo/urls/"},
		{title: "Updatesuche", href: "http://subspace.ptron/.update/index.html"}
	]};
	
	ProxLCO.UI_Toolbar.styles = {
		div: {
			ProxPanels_Panel: [
				{name:"display",val:"none"},
				{name:"position",val:(ProxLCO.ua.IEmode >= 7)?"fixed":"absolute"},
				{name:"left",val:"10px"},
				{name:(ProxLCO.ua.IEmode >= 7)?"bottom":"top",val:"40px"},
				{name:"width",val:"auto"},
				{name:"height",val:"auto"},
				{name:"fontSize",val:"10pt"},
				{name:"fontFamily",val:"Arial, sans-serif"},
				{name:"color",val:"#000000"},
				{name:"background",val:"none #F5F5F5"},
				{name:"borderTop",val:"outset 2px #E6E6E6"},
				{name:"borderRight",val:"outset 2px #DCDCDC"},
				{name:"borderBottom",val:"outset 2px #DCDCDC"},
				{name:"borderLeft",val:"outset 2px #E6E6E6"},
				{name:"lineHeight",val:"normal"},
				{name:"zIndex",val:"1000"}
			],
			ProxPanels_Bar: [
				{name:"position",val:(ProxLCO.ua.IEmode >= 7)?"fixed":"absolute"},
				{name:(ProxLCO.ua.IEmode >= 7)?"bottom":"top",val:"0"},
				{name:"left",val:"0"},
				{name:"width",val:"auto"},
				{name:"height",val:"auto"},
				{name:"zIndex",val:"1000"},
				{name:"fontSize",val:"12px"},
				{name:"fontFamily",val:"Arial, sans-serif"},
				{name:"color",val:"#000000"},
				{name:"background",val:"none transparent"},
				{name:"lineHeight",val:"16px"}
			],
			ProxPanels_Bar_ClearElm: [
				{name:"height",val:"0"},
				{name:"display",val:"block"},
				{name:"clear",val:"left"},
				{name:"visibility",val:"hidden"}
			],
			ProxPanels_Bar_Info: [
				{name:"position",val:"static"},
				{name:"width",val:"auto"},
				{name:"height",val:"auto"},
				{name:"margin",val:"0 8px"},
				{name:"padding",val:"2px 4px"},
				{name:"fontSize",val:"12px"},
				{name:"lineHeight",val:"16px"},
				{name:"fontFamily",val:"Arial, sans-serif"},
				{name:"color",val:"#000000"},
				{name:"background",val:"none #E0E0E0"},
				{name:"border",val:"none"}
			]
		},
		table: {
			ProxPanels_Panel: [
				{name:"background",val:"none transparent"},
				{name:"width",val:"auto"},
				{name:"height",val:"auto"},
				{name:"margin",val:"0"},
				{name:"border",val:"none"},
				{name:"borderSpacing",val:"5px"},
				{name:"borderCollapse",val:"separate"}
			],
			ProxPanels_Bar_TabTable: [
				{name:"background",val:"none transparent"},
				{name:"width",val:"auto"},
				{name:"height",val:"auto"},
				{name:"margin",val:"0 auto 0 0"},
				{name:"border",val:"none"},
				{name:"borderSpacing",val:"0"},
				{name:"borderCollapse",val:"separate"},
				{name:"display",val:"none"}
			]
		},
		th: {
			ProxPanels_Panel: [
				{name:"padding",val:"0"},
				{name:"width",val:"auto"},
				{name:"height",val:"auto"},
				{name:"background",val:"none transparent"},
				{name:"border",val:"none"},
				{name:"color",val:"#000000"},
				{name:"fontFamily",val:"Arial, sans-serif"},
				{name:"fontSize",val:"10pt"},
				{name:"fontWeight",val:"bold"},
				{name:"lineHeight",val:"normal"},
				{name:"textAlign",val:"left"},
				{name:"verticalAlign",val:"middle"}
			],
			ProxPanels_PanelCaption: [
				{name:"padding",val:"0"},
				{name:"width",val:"auto"},
				{name:"height",val:"auto"},
				{name:"background",val:"none transparent"},
				{name:"border",val:"none"},
				{name:"color",val:"#000000"},
				{name:"fontFamily",val:"Arial, sans-serif"},
				{name:"fontSize",val:"10pt"},
				{name:"fontWeight",val:"bold"},
				{name:"lineHeight",val:"normal"},
				{name:"textAlign",val:"center"},
				{name:"verticalAlign",val:"middle"}
			],
			ProxPanels_ItemName: [
				{name:"padding",val:"0"},
				{name:"width",val:"auto"},
				{name:"height",val:"auto"},
				{name:"background",val:"none transparent"},
				{name:"border",val:"none"},
				{name:"color",val:"#000000"},
				{name:"fontFamily",val:"Arial, sans-serif"},
				{name:"fontSize",val:"10pt"},
				{name:"fontWeight",val:"bold"},
				{name:"lineHeight",val:"normal"},
				{name:"textAlign",val:"left"},
				{name:"verticalAlign",val:"middle"},
				{name:"whiteSpace",val:"nowrap"}
			],
			ProxPanels_ItemName_Odd: [
				{name:"padding",val:"0"},
				{name:"width",val:"auto"},
				{name:"height",val:"auto"},
				{name:"background",val:"none transparent"},
				{name:"border",val:"none"},
				{name:"color",val:"#000000"},
				{name:"fontFamily",val:"Arial, sans-serif"},
				{name:"fontSize",val:"10pt"},
				{name:"fontWeight",val:"bold"},
				{name:"lineHeight",val:"normal"},
				{name:"textAlign",val:"left"},
				{name:"verticalAlign",val:"middle"},
				{name:"whiteSpace",val:"nowrap"}
			]
		},
		td: {
			ProxPanels_Bar_Cell: [
				{name:"padding",val:"0"},
				{name:"width",val:"auto"},
				{name:"height",val:"auto"},
				{name:"background",val:"none transparent"},
				{name:"border",val:"none"},
				{name:"color",val:"#000000"},
				{name:"fontFamily",val:"Arial, sans-serif"},
				{name:"fontSize",val:"10pt"},
				{name:"fontWeight",val:"normal"},
				{name:"lineHeight",val:"normal"},
				{name:"textAlign",val:"left"},
				{name:"verticalAlign",val:"middle"}
			],
			ProxPanels_Item: [
				{name:"padding",val:"0"},
				{name:"width",val:"auto"},
				{name:"height",val:"auto"},
				{name:"background",val:"none transparent"},
				{name:"border",val:"none"},
				{name:"color",val:"#000000"},
				{name:"fontFamily",val:"Arial, sans-serif"},
				{name:"fontSize",val:"10pt"},
				{name:"fontWeight",val:"normal"},
				{name:"lineHeight",val:"normal"},
				{name:"textAlign",val:"left"},
				{name:"verticalAlign",val:"middle"}
			],
			ProxPanels_Item_Odd: [
				{name:"padding",val:"0"},
				{name:"width",val:"auto"},
				{name:"height",val:"auto"},
				{name:"background",val:"none transparent"},
				{name:"border",val:"none"},
				{name:"color",val:"#000000"},
				{name:"fontFamily",val:"Arial, sans-serif"},
				{name:"fontSize",val:"10pt"},
				{name:"fontWeight",val:"normal"},
				{name:"lineHeight",val:"normal"},
				{name:"textAlign",val:"left"},
				{name:"verticalAlign",val:"middle"}
			]
		},
		button: {
			ProxPanels_ItemButton: [
				{name:"margin",val:"0"},
				{name:"padding",val:(ProxLCO.ua.OP || ProxLCO.ua.IE)?"1px 6px":"0 4px"},
				{name:"width",val:"auto"},
				{name:"minWidth",val:"0"},
				{name:"height",val:"auto"},
				{name:"background",val:"url('http:\/\/local.ptron/Grafiken/BtnBg-ffffff_e3e3e3-2x18.png') repeat-x ThreeDFace"},
				{name:"border",val:"solid 1px #b9b9b9"},
				{name:"color",val:"#000000"},
				{name:"fontFamily",val:"Arial, sans-serif"},
				{name:"fontSize",val:"12px"},
				{name:"lineHeight",val:"16px"}
			],
			ProxPanels_ItemButton_IEWrapped: [
				{name:"margin",val:"0"},
				{name:"padding",val:"0"},
				{name:"width",val:"auto"},
				{name:"minWidth",val:"0"},
				{name:"height",val:"auto"},
				{name:"background",val:"url('http:\/\/local.ptron/Grafiken/BtnBg-ffffff_e3e3e3-2x18.png') repeat-x ThreeDFace"},
				{name:"border",val:"none"},
				{name:"color",val:"#000000"},
				{name:"fontFamily",val:"Arial, sans-serif"},
				{name:"fontSize",val:"12px"},
				{name:"lineHeight",val:"15px"}
			],
			ProxPanels_Bar_Toggle: [
				{name:"margin",val:"1px"},
				{name:"padding",val:(ProxLCO.ua.OP || ProxLCO.ua.IE)?"1px 6px":"0 4px"},
				{name:"width",val:"auto"},
				{name:"minWidth",val:"0"},
				{name:"height",val:"auto"},
				{name:(ProxLCO.ua.IE)?"styleFloat":"cssFloat",val:"left"},
				{name:"background",val:"url('http:\/\/local.ptron/Grafiken/BtnBg-ffffff_e3e3e3-2x18.png') repeat-x ThreeDFace"},
				{name:"border",val:(ProxLCO.ua.IEmode < 8)?"none":"solid 1px #b9b9b9"},
				{name:"color",val:"#000000"},
				{name:"fontFamily",val:"Arial, sans-serif"},
				{name:"fontSize",val:"12px"},
				{name:"lineHeight",val:"16px"}
			],
			ProxPanels_Bar_Toggle_IEWrapped: [
				{name:"margin",val:"0"},
				{name:"padding",val:"0 3px"},
				{name:"width",val:"auto"},
				{name:"minWidth",val:"0"},
				{name:"height",val:"auto"},
				{name:"background",val:"url('http:\/\/local.ptron/Grafiken/BtnBg-ffffff_e3e3e3-2x18.png') repeat-x ThreeDFace"},
				{name:"border",val:"none"},
				{name:"color",val:"#000000"},
				{name:"fontFamily",val:"Arial, sans-serif"},
				{name:"fontSize",val:"10px"},
				{name:"lineHeight",val:"16px"}
			],
			ProxPanels_Bar_Btn: [
				{name:"margin",val:"1px"},
				{name:"padding",val:(ProxLCO.ua.OP || ProxLCO.ua.IE)?"1px 6px":"0 4px"},
				{name:"width",val:"auto"},
				{name:"minWidth",val:"0"},
				{name:"height",val:"auto"},
				{name:"background",val:"url('http:\/\/local.ptron/Grafiken/BtnBg-ffffff_e3e3e3-2x18.png') repeat-x ThreeDFace"},
				{name:"border",val:"solid 1px #b9b9b9"},
				{name:"color",val:"#000000"},
				{name:"fontFamily",val:"Arial, sans-serif"},
				{name:"fontSize",val:"12px"},
				{name:"lineHeight",val:"16px"}
			],
			ProxPanels_Bar_Btn_IEWrapped: [
				{name:"margin",val:"0"},
				{name:"padding",val:"0"},
				{name:"width",val:"auto"},
				{name:"minWidth",val:"0"},
				{name:"height",val:"auto"},
				{name:"background",val:"url('http:\/\/local.ptron/Grafiken/BtnBg-ffffff_e3e3e3-2x18.png') repeat-x ThreeDFace"},
				{name:"border",val:"none"},
				{name:"color",val:"#000000"},
				{name:"fontFamily",val:"Arial, sans-serif"},
				{name:"fontSize",val:"12px"},
				{name:"lineHeight",val:"15px"}
			]
		},
		span: {
			ProxPanels_Bar_Toggle_IEWrapper: [
				{name:"margin",val:"1px"},
				{name:"padding",val:"0px"},
				{name:"styleFloat",val:"left"},
				{name:"background",val:"none transparent"},
				{name:"border",val:"solid 1px #b9b9b9"}
			],
			ProxPanels_Bar_Btn_IEWrapper: [
				{name:"margin",val:"1px"},
				{name:"padding",val:"0px"},
				{name:"styleFloat",val:"left"},
				{name:"background",val:"none transparent"},
				{name:"border",val:"solid 1px #b9b9b9"}
			],
			ProxPanels_ItemButton_IEWrapper: [
				{name:"margin",val:"1px"},
				{name:"padding",val:"0px"},
				{name:"styleFloat",val:"left"},
				{name:"background",val:"none transparent"},
				{name:"border",val:"solid 1px #b9b9b9"}
			]
		},
		img: {
			ProxPanels_Bar_Toggle: [
				{name:"display",val:"block"},
				{name:"margin",val:"0"},
				{name:"padding",val:"0"},
				{name:"styleFloat",val:"none"},
				{name:"clear",val:"none"},
				{name:"background",val:"none transparent"},
				{name:"border",val:"none"},
				{name:"lineHeight",val:"16px"}
			]
		},
		a: {
			ProxPanels_Link: [
				{name:"color",val:"#000000"},
				{name:"fontFamily",val:"Arial, sans-serif"},
				{name:"fontSize",val:"12px"},
				{name:"lineHeight",val:"16px"},
				{name:"textDecoration",val:"underline"}
			]
		}
	};
	
	ProxLCO.UI_Toolbar.setStyles = function (dhElm, stGroup, stId) {
		var arObGroup = ProxLCO.UI_Toolbar.styles[stGroup];
		if (!arObGroup) return;
		var arObStyles = arObGroup[stId];
		if (!arObStyles) return;
		for (var i = 0, obStyle; obStyle = arObStyles[i]; i++) {
			dhElm.style[obStyle.name] = obStyle.val;
		}
	};
	
	ProxLCO.UI_Toolbar.build = function() {
		var flipflop = false;
		function genRowInfo(title, value, descr) {
			var obTr = document.createElement("tr");
			var obTh = document.createElement("th"); obTr.appendChild(obTh);
			var obTd = document.createElement("td"); obTr.appendChild(obTd);
			if (flipflop) {
				ProxLCO.UI_Toolbar.setStyles(obTh,"th","ProxPanels_ItemName");
				ProxLCO.UI_Toolbar.setStyles(obTd,"td","ProxPanels_Item");
				flipflop = false;
			}
			else {
				ProxLCO.UI_Toolbar.setStyles(obTh,"th","ProxPanels_ItemName_Odd");
				ProxLCO.UI_Toolbar.setStyles(obTd,"td","ProxPanels_Item_Odd");
				flipflop = true;
			}
			obTh.appendChild(document.createTextNode(title));
			if (descr) { ProxLCO.TTip.anhaengen(obTh,"std1,," + title + ",," + descr); }
			obTd.appendChild(document.createTextNode(value));
			return obTr;
		}
		function genRowAction(title, action) {
			var obTr = document.createElement("tr");
			var obTd = document.createElement("td"); obTr.appendChild(obTd);
			ProxLCO.UI_Toolbar.setStyles(obTd,"td","ProxPanels_Item");
			var obBtn = document.createElement("button");
			if (ProxLCO.ua.IEmode < 8) {
				var obBtnWrap = document.createElement("span"); obBtnWrap.appendChild(obBtn); obTd.appendChild(obBtnWrap);
				ProxLCO.UI_Toolbar.setStyles(obBtn,"button","ProxPanels_ItemButton_IEWrapped");
				ProxLCO.UI_Toolbar.setStyles(obBtnWrap,"span","ProxPanels_ItemButton_IEWrapper");
			}
			else {
				obTd.appendChild(obBtn);
				ProxLCO.UI_Toolbar.setStyles(obBtn,"button","ProxPanels_ItemButton");
			}
			obBtn.appendChild(document.createTextNode(title));
			ProxLCO.EventManager.addWhenReady(obBtn,"click",action);
			return obTr;
		}
		function genRowLink(title, href) {
			var obTr = document.createElement("tr");
			var obTd = document.createElement("td"); obTr.appendChild(obTd);
			if (flipflop) {
				ProxLCO.UI_Toolbar.setStyles(obTd,"td","ProxPanels_Item");
				flipflop = false;
			}
			else {
				ProxLCO.UI_Toolbar.setStyles(obTd,"td","ProxPanels_Item_Odd");
				flipflop = true;
			}
			var obA = document.createElement("a"); obA.href = href; obTd.appendChild(obA);
			obA.appendChild(document.createTextNode(title));
			return obTr;
		}
		
		function genTable(obSource) {
			var obTbl = document.createElement("table");
			var obThead = document.createElement("thead"); obTbl.appendChild(obThead);
			var obThTr = document.createElement("tr");  obThead.appendChild(obThTr);
			var obThTh = document.createElement("th"); obThTr.appendChild(obThTh);
			obThTh.colSpan = "2"; 
			ProxLCO.UI_Toolbar.setStyles(obThTh,"th","ProxPanels_PanelCaption");
			ProxLCO.UI_Toolbar.setStyles(obTbl,"table","ProxPanels_Panel");
			var obTbody = document.createElement("tbody"); obTbl.appendChild(obTbody);
			obThTh.appendChild(document.createTextNode(obSource.heading));
			for (var i=0, dhNode; dhNode=obSource.body[i]; i++) {
				if (dhNode.value) {
					if (dhNode.descr) { obTbody.appendChild(genRowInfo(dhNode.title,dhNode.value,dhNode.descr)); }
					else { obTbody.appendChild(genRowInfo(dhNode.title,dhNode.value)); }
				}
				else if (dhNode.action) { obTbody.appendChild(genRowAction(dhNode.title,dhNode.action)); }
				else if (dhNode.href) { obTbody.appendChild(genRowLink(dhNode.title,dhNode.href)); }
			}
			return obTbl;
		}
		function genPanel(obSource) {
			var obDiv = document.createElement("div"); obDiv.className = "ProxJSElm";
			obDiv.appendChild(genTable(obSource));
			ProxLCO.UI_Toolbar.setStyles(obDiv,"div","ProxPanels_Panel");
			return obDiv;
		}
		function genTabBar() {
			var obBar = document.createElement("div");
			ProxLCO.UI_Toolbar.setStyles(obBar,"div","ProxPanels_Bar"); obBar.className = "ProxJSElm";
			var obBtn = document.createElement("button");
			if (ProxLCO.ua.IEmode < 8) {
				var obBtnWrap = document.createElement("span"); obBtnWrap.appendChild(obBtn); obBar.appendChild(obBtnWrap);
				ProxLCO.UI_Toolbar.setStyles(obBtn,"button","ProxPanels_Bar_Toggle_IEWrapped");
				ProxLCO.UI_Toolbar.setStyles(obBtnWrap,"span","ProxPanels_Bar_Toggle_IEWrapper");
			}
			else {
				obBar.appendChild(obBtn);
				ProxLCO.UI_Toolbar.setStyles(obBtn,"button","ProxPanels_Bar_Toggle");
			}
			var obBtnImg = document.createElement("img");
			obBtnImg.src = "http://local.ptron/ProxIcon16.png";
			obBtnImg.height = "16"; obBtnImg.width = "16"; obBtnImg.alt = "Proxomitron-Buttonleiste ein- und ausklappen";
			ProxLCO.UI_Toolbar.setStyles(obBtnImg,"img","ProxPanels_Bar_Toggle");
			obBtn.appendChild(obBtnImg);
			
			var obTabTbl = document.createElement("table"); obBar.appendChild(obTabTbl);
			obTabTbl.cellSpacing = "0";
			ProxLCO.UI_Toolbar.setStyles(obTabTbl,"table","ProxPanels_Bar_TabTable");
			
			ProxLCO.EventManager.addWhenReady(obBtn,"click", (
				function(){
					if (obTabTbl.style.display == "none") {
						obTabTbl.style.display = "";
						obBar.style.right = "0";
					}
					else {
						obTabTbl.style.display = "none";
						obBar.style.right = "";
						selectTab();
					}
				}
			));
			
			var obTabTbody = document.createElement("tbody"); obTabTbl.appendChild(obTabTbody);
			var obTabTr = document.createElement("tr"); obTabTbody.appendChild(obTabTr);
			var obPnlHttpHdr = genPanel(ProxLCO.UI_Toolbar.collHttpHdr);
			var obPnlActions = genPanel(ProxLCO.UI_Toolbar.collActions);
			var obPnlLinks = genPanel(ProxLCO.UI_Toolbar.collLinks);
			
			ProxLCO.UI_Toolbar.arObTabs = [
				{type:"button",title:"HTTP-Header",panel:obPnlHttpHdr},
				{type:"button",title:"Skriptbefehle",panel:obPnlActions},
				{type:"button",title:"Links",panel:obPnlLinks},
				{type:"info",title:"Rendermodus, Browser(, IE-Modus)",content:ProxLCO.ua.summary},
				{type:"info",title:"window.name",content:window.name}
			];
			
			
			for (var i=0, dhItem; dhItem = ProxLCO.UI_Toolbar.arObTabs[i]; i++) {
				var obTd = document.createElement("td");
				obTabTr.appendChild(obTd);
				ProxLCO.UI_Toolbar.setStyles(obTd,"td","ProxPanels_Bar_Cell");
				
				if (dhItem.type == "button") {
					var obElm = document.createElement("button");
					if (ProxLCO.ua.IEmode < 8) {
						var obElmWrap = document.createElement("span"); obElmWrap.appendChild(obElm); obTd.appendChild(obElmWrap);
						ProxLCO.UI_Toolbar.setStyles(obElm,"button","ProxPanels_Bar_Btn_IEWrapped");
						ProxLCO.UI_Toolbar.setStyles(obElmWrap,"span","ProxPanels_Bar_Btn_IEWrapper");
					}
					else {
						obTd.appendChild(obElm);
						ProxLCO.UI_Toolbar.setStyles(obElm,"button","ProxPanels_Bar_Btn");
					}
					
					dhItem.dhNode = obElm;
					obElm.appendChild(document.createTextNode(dhItem.title));
					ProxLCO.EventManager.addWhenReady(obTd,"click", (
						function(iTest){
							return function(){ selectTab(iTest); }
						}(i)
					));
				}
				else if (dhItem.type == "info" && dhItem.content) {
					var obElm = document.createElement("div"); obTd.appendChild(obElm); dhItem.dhNode = obElm;
					ProxLCO.UI_Toolbar.setStyles(obElm,"div","ProxPanels_Bar_Info");
					obElm.title = dhItem.title;
					obElm.appendChild(document.createTextNode(dhItem.content));
				}
				
			}
			
			var obClearElm = document.createElement("div"); obBar.appendChild(obClearElm);
			ProxLCO.UI_Toolbar.setStyles(obClearElm,"div","ProxPanels_Bar_ClearElm");
			
			document.body.appendChild(obPnlHttpHdr);
			document.body.appendChild(obPnlActions);
			document.body.appendChild(obPnlLinks);
			document.body.appendChild(obBar);
		}
		function selectTab (iSelTab) {
			for (var i=0, dhItem; dhItem = ProxLCO.UI_Toolbar.arObTabs[i]; i++) {
				if (dhItem.panel == undefined) { break; }
				if (iSelTab != undefined && i == iSelTab && dhItem.panel.style.display == "none") {
					dhItem.panel.style.display = "";
				}
				else {
					dhItem.panel.style.display = "none";
				}
			}
		}
		
		genTabBar();
		
		
	};
	
	
	
}


               /*----------------------------------------------*\
              /                                                  \
=============<   ENDE:    Funktionen fr Infopanel                >=============
              \                                                  /
               \*----------------------------------------------*/








if (ProxSSRun) {
	ProxLCO.nachlaeufer = function () {
		if (ProxLCO.nachlaeufer.gestartet) { return; }
		ProxLCO.DebugLog.push("SS:nachlaeufer:Start");
		ProxLCO.nachlaeufer.gestartet = true;
		ProxLCO.WN.frameroller();
		ProxLCO.legacyEHsBehandeln();
		if (ProxLCO.stTTipTags) {
			ProxLCO.TTip.imBaumSuchen(ProxLCO.stTTipTags);
		}
		// Bilder und Links erst nach onLoad durcharbeiten, weil viele der zu korrigierenden unerwnschten nderungen durch onLoad-Skripten verursacht werden.
		window.ProxSK_setTimeout(ProxLCO.tagrollerLink,2000);
		window.ProxSK_setTimeout(ProxLCO.tagrollerImg,4000);
		if (ProxLCO.ConfSC.indexOf("LnkRemTgtIfNoFrmName") != -1) {
			if (ProxLCO.env.winType == "single") {
				window.ProxSK_setTimeout(ProxLCO.tagrollerTargets,2000);
			}
			// Bei Framesets lnger warten
			else {
				window.ProxSK_setTimeout(ProxLCO.tagrollerTargets,4000);
			}
		}
		if (ProxLCO.ConfSC.indexOf("HdrCookiesKill") != -1 && location.ProxDummy != true) {
			window.ProxSK_setTimeout(ProxLCO.CookiesKill,5000);
		}
		if (!ProxLCO.ProxMeldung_chkStack.intervall) {
			ProxLCO.ProxMeldung_chkStack();
		}
		
		if (ProxLCO.UI_Toolbar) { ProxLCO.UI_Toolbar.build(); }
		ProxLCO.EventManager.run();
		
		ProxLCO.Status.NachlaeuferFertig = true;
		ProxLCO.DebugLog.push("ES:ESnachlaeufer:Fertig");
	};
}


if (ProxSSRun && ProxLCO.ConfSC.indexOf("EHPageLoad") != -1) {
	(function () { 
		if (window["onload"] != undefined) { window["onload"] = null; }
		if (window.document && document["onload"] != undefined) { document["onload"] = null; }
		if (document.documentElement && document.documentElement["onload"] != undefined) { document.documentElement["onload"] = null; }
		if (document.body && document.body["onload"] != undefined) {
			if (ProxLCO.ua.Gecko) { document.body.setAttribute("onload",null); }
			else { document.body["onload"] = null; }
		}
	})();
}




if (ProxSSRun) {
	ProxLCO.EventManager.addNow(window,"load",(function(){window.ProxSK_setTimeout(ProxLCO.nachlaeufer,1000);}));
	ProxLCO.EventManager.addNow(window,"DOMContentLoaded",(function(){window.ProxSK_setTimeout(ProxLCO.nachlaeufer,1000);}));
	
	ProxLCO.endwarter = function() {
		if (document.body) {ProxLCO.nachlaeufer();}
		else {window.ProxSK_setTimeout(ProxLCO.endwarter,2000);}
	};
	window.ProxSK_setTimeout(ProxLCO.endwarter,20000);
	
	ProxLCO.DebugLog.push("SS:Ende");
}





